<?php
class Resign extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->library('session');
        $this->load->model('Karyawan');
        $this->load->model('Agama');
        $this->load->model('Pendidikan_terakhir');
        $this->load->model('Jabatan');
        $this->load->helper('date');
        $this->load->model('Kepegawaian_model');
    }
    public function index()
    {
        if ($this->session->userdata('nama_pegawai')) {
            $data['title'] = 'List Karyawan';
            $data['karyawan'] = $this->Karyawan->getAllKaryawan();
            $this->load->view('layouts/template', $data);
        } else {
            redirect('auth');
        }
    }

    public function karyawan($karyawan)
    {
        if ($this->session->userdata('nama_pegawai')) {
            $this->load->model('kepegawaian_model');
            $data['pegawai'] =  $this->Karyawan->detailKaryawan($karyawan);
            $data['title'] = 'Resign Pegawai';
            $this->load->view('layouts/template', $data);
        } else {
            redirect('auth');
        }
    }

    public function resign_sistem($karyawan)
    {

        if ($_SERVER['REQUEST_METHOD'] == 'POST') {
            $sk = $this->input->post('sk');
            $tmt = $this->input->post('tmt');

            // Validasi data sesuai kebutuhan

            // Perbarui status karyawan di tabel kepegawaian
            $this->Karyawan->update_status_kerja($karyawan, 'Resign');

            // Tambahkan riwayat promosi ke tabel 'riwayat_promosi'
            $this->Kepegawaian_model->tambah_riwayat_resign($karyawan, $sk, $tmt);

            $this->session->set_flashdata('success', 'Resign karyawan berhasil.');

            redirect('resign');
        }
    }

    // ...
}