<?php

class Surat extends CI_Model
{
    public function getKaryawan($karyawan)
    {
        return $this->db->where('karyawan_id', $karyawan)->get('alamat_surat')->row_array();
    }

    public function store()
    {
        $data = [
            'alamat_surat' => $this->input->post('alamat', TRUE),
            'rt/rw_surat' => $this->input->post('rt/rw', TRUE),
            'kelurahan_surat' => $this->input->post('kelurahan', TRUE),
            'kecamatan_surat' => $this->input->post('kecamatan', TRUE),
            'kota_surat' => $this->input->post('kota', TRUE),
            'kode_post_surat' => $this->input->post('kode_post', TRUE),
            'telp_rumah_surat' => $this->input->post('telp_rumah', TRUE),
            'email_surat' => $this->input->post('email', TRUE),
            '`hp(GSM)_surat`' => $this->input->post('hp(GSM)', TRUE),
            '`hp(CDMA)_surat`' => $this->input->post('hp(CDMA)', TRUE),
            'telp_emergency_surat' => $this->input->post('telp_emergency', TRUE),
            'karyawan_id' => $this->input->post('karyawan', TRUE),
            'created_at_surat' => $this->input->post('created_at', TRUE),
            'updated_at' => $this->input->post('updated_at', TRUE),
        ];
        $this->db->insert('alamat_surat', $data);
    }
    public function edit()
    {
        $data = [
            'alamat_surat' => $this->input->post('alamat', TRUE),
            'rt/rw_surat' => $this->input->post('rt/rw', TRUE),
            'kelurahan_surat' => $this->input->post('kelurahan', TRUE),
            'kecamatan_surat' => $this->input->post('kecamatan', TRUE),
            'kota_surat' => $this->input->post('kota', TRUE),
            'kode_post_surat' => $this->input->post('kode_post', TRUE),
            'telp_rumah_surat' => $this->input->post('telp_rumah', TRUE),
            'email_surat' => $this->input->post('email', TRUE),
            '`hp(GSM)_surat`' => $this->input->post('hp(GSM)', TRUE),
            '`hp(CDMA)_surat`' => $this->input->post('hp(CDMA)', TRUE),
            'telp_emergency_surat' => $this->input->post('telp_emergency', TRUE),
            'karyawan_id' => $this->input->post('karyawan', TRUE),
            'created_at_surat' => $this->input->post('created_at', TRUE),
            'updated_at' => $this->input->post('updated_at', TRUE),
        ];
        $this->db->where('id_alamat_surat', $this->input->post('alamat_surat'));
        $this->db->update('alamat_surat', $data);
    }
}
