<?php
// Tampilkan flashdata jika ada
if ($this->session->flashdata('success')) {
    echo '<div class="alert alert-success">' . $this->session->flashdata('success') . '</div>';
}
?>
<table class="table datatable">
    <thead>
        <tr class="">
            <th scope="col" class="bg-success  text-white">#</th>
            <th scope="col">Nama</th>
            <th scope="col">Jabatan</th>
            <th scope="col">Status</th>
            <th scope="col">Action</th>
        </tr>
    </thead>
    <tbody>
        <?php $i = 1; ?>
        <?php foreach ($karyawan as $pegawai) : ?>
        <?php if ($pegawai['status'] !== 'Diberhentikan' && $pegawai['status'] !== 'Resign') : ?>
        <tr>
            <th scope="row" class="text-center"><?= $i++ ?></th>
            <td><?= $pegawai['nama'] ?></td>
            <td><?= $pegawai['nama_jabatan'] ?></td>
            <td><?= $pegawai['status'] ?></td>
            <?php if ($pegawai['status_dikeluarkan'] == '0') : ?>
            <td scope="col">
                <div class="btn-group" role="group" aria-label="Basic example">
                    <a class="btn btn-danger btn-sm"
                        href="<?php echo base_url('dikeluarkan/sp1/' . $pegawai['id']); ?>">
                        SP 1
                    </a>
                </div>
            </td>
            <?php elseif ($pegawai['status_dikeluarkan'] == '1') : ?>
            <td scope="col">
                <div class="btn-group" role="group" aria-label="Basic example">
                    <a class="btn btn-danger btn-sm"
                        href="<?php echo base_url('dikeluarkan/sp2/' . $pegawai['id']); ?>">
                        SP 2
                    </a>
                </div>
            </td>
            <?php elseif ($pegawai['status_dikeluarkan'] == '2') : ?>
            <td scope="col">
                <div class="btn-group" role="group" aria-label="Basic example">
                    <a class="btn btn-danger btn-sm"
                        href="<?php echo base_url('dikeluarkan/dikeluarkan/' . $pegawai['id']); ?>">
                        Di Berhentikan
                    </a>
                </div>
            </td>
            <?php else : ?>
            <td scope="col">
                <div class="btn-group" role="group" aria-label="Basic example">
                    Telah Di Berhentikan
                </div>
            </td>
            <?php endif; ?>
        </tr>
        <?php endif; ?>
        <?php endforeach; ?>
    </tbody>
</table>