<header id="header" class="header fixed-top d-flex align-items-center">
    <div class="d-flex align-items-center justify-content-between">
        <img src="<?= base_url(); ?>/assets/img/logos.png" alt="" width="60" height="60">
    </div>
    <nav class="header-nav ms-auto">
        <ul class="d-flex align-items-center">
            <li class="nav-item dropdown pe-3">
                <a class="nav-link nav-profile d-flex align-items-center pe-0" href="#" data-bs-toggle="dropdown">
                    <span class="d-none d-md-block dropdown-toggle ps-2">Pengaturan</span>
                </a>
                <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow profile">
                    <li>
                        <a class="dropdown-item d-flex align-items-center"
                            href="<?php echo base_url('detail/pribadi/' . $this->session->userdata('id_karyawan')); ?>"
                            <i class="bi bi-person"></i>
                            <span>Profil</span>
                        </a>
                        <a class="dropdown-item d-flex align-items-center"
                            href="<?php echo base_url('auth/logout'); ?>">
                            <i class="bi bi-box-arrow-right"></i>
                            <span>Sign Out</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </nav>
</header>
<aside id="sidebar" class="sidebar">
    <ul class="sidebar-nav" id="sidebar-nav">
        <?php if ($this->session->userdata('level') !== 'Karyawan') : ?>
        <li class="nav-item">
            <a class="nav-link " href="<?= base_url('dashboard'); ?>">
                <i class="bi bi-house"></i>
                <span>Dashboard</span>
            </a>
        </li>
        <?php if ($this->session->userdata('level') !== 'Direktur' && $this->session->userdata('level') !== 'Dirut'): ?>
        <li class="nav-item">
            <a class="nav-link collapsed" data-bs-target="#forms-nav2" data-bs-toggle="collapse" href="#">
                <i class="bi bi-arrow-left-right"></i></i><span>Perubahan Data Karyawan</span><i
                    class="bi bi-chevron-down ms-auto"></i>
            </a>
            <ul id="forms-nav2" class="nav-content collapse " data-bs-parent="#sidebar-nav">
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('form'); ?>">
                        <i class="bi bi-person-plus"></i>
                        <span>Input Data</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('pengangkatan'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Pengangkatan</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('mutasi'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Mutasi</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('promosi'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Promosi</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('dikeluarkan'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Dikeluarkan</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('resign'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Resign</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('demosi'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Demosi</span>
                    </a>
                </li>
            </ul>
        </li>
        <li class="nav-item">
            <a class="nav-link collapsed" data-bs-target="#forms-nav" data-bs-toggle="collapse" href="#">
                <i class="bi bi-search"></i></i><span>Reports</span><i class="bi bi-chevron-down ms-auto"></i>
            </a>
            <ul id="forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('data_kepegawaian'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Pencarian Kepegawaian</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('data_kepegawaian/mantan'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Pencarian Mantan Kepegawaian</span>
                    </a>
                </li>
            </ul>
        </li>
        <?php if ($this->session->userdata('level') == 'Admin') : ?>
        <li class="nav-item">
            <a class="nav-link collapsed" data-bs-target="#forms-nav3" data-bs-toggle="collapse" href="#">
                <i class="bi bi-person"></i></i></i><span>Utility</span><i class="bi bi-chevron-down ms-auto"></i>
            </a>
            <ul id="forms-nav3" class="nav-content collapse " data-bs-parent="#sidebar-nav">
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('data_kepegawaian/users'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Manajemen User</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?= base_url('data_kepegawaian/jabatan'); ?>">
                        <i class="bi bi-dot"></i>
                        <span>Manajemen Jabatan</span>
                    </a>
                </li>
            </ul>
        </li>
        <?php endif; ?>
        <?php endif; ?>
        <?php endif; ?>
    </ul>
</aside>
<main id="main" class="main">