<main>
    <div class="container">

        <section class="section register min-vh-100 d-flex flex-column align-items-center justify-content-center py-4">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-4 col-md-6 d-flex flex-column align-items-center justify-content-center">

                        <div class="d-flex justify-content-center py-4">
                            <a href="login.php" class="logo d-flex align-items-center w-auto">
                                <img src="assets/img/logos.png" alt="">
                                <span class="d-none d-lg-block">GEN</span>
                            </a>
                        </div><!-- End Logo -->

                        <div class="card mb-3">

                            <div class="card-body">

                                <div class="pt-4 pb-2">
                                    <h5 class="card-title text-center pb-0 fs-4">Masuk Ke Akun Anda</h5>
                                    <p class="text-center small">Masukan Nama & Password Anda</p>
                                </div>

                                <?php
                                // Tampilkan flashdata jika ada
                                if ($this->session->flashdata('login_error')) {
                                    echo '<div class="alert alert-danger">' . $this->session->flashdata('login_error') . '</div>';
                                } elseif ($this->session->flashdata('karyawan')) {
                                    echo '<div class="alert alert-warning">' . $this->session->flashdata('karyawan') . '</div>';
                                }
                                ?>

                                <form class="row g-3 needs-validation" action="auth/do_login" method="POST" enctype="multipart/form-data" novalidate>

                                    <div class="col-12">
                                        <label for="username" class="form-label">Nama</label>
                                        <div class="input-group has-validation">
                                            <input type="text" name="nama_pegawai" class="form-control" id="username" required>
                                        </div>
                                    </div>

                                    <div class="col-12">
                                        <label for="password" class="form-label">Password</label>
                                        <input type="password" name="password" class="form-control" id="password" required>
                                    </div>

                                    <div class="col-12">
                                        <button class="btn btn-primary w-100" name="submit" type="submit">Login</button>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>

    </div>
</main>