<?php
class Custom404 extends CI_Controller
{
    //function ini sebagai kontruksi dari semua function di controller ini
    public function __construct()
    {
        parent::__construct();
        $this->load->model('auth_model');
    }

    //function index adalah halaman utama yang akan di tampilkan
    public function index()
    {
        //jika session "nama_pegawai" maka "level" dari session akan di pindahkan ke function lain. Jika tidak ada maka akan menampilkan login
        if ($this->session->userdata('nama_pegawai')) {
            $data['title'] = 'ERROR 404';
            $this->load->view('layouts/template', $data);
        } else {
            redirect('auth');
        }
    }
}
