<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Dashboard extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('kepegawaian_model');
    }

    public function index()
    {

        if ($this->session->userdata('nama_pegawai')) {
            if ($this->session->userdata('level') !== 'Karyawan') {
                $total_employees = $this->kepegawaian_model->count_employees_except_terminated_resigned();
                $status_karyawan = array("Tetap", "Kontrak", "Training", "Diberhentikan", "Resign");
                $jumlah_pegawai_per_status = array();

                foreach ($status_karyawan as $status) {
                    $jumlah_pegawai = $this->kepegawaian_model->count_employees_by_status($status);
                    $jumlah_pegawai_per_status[$status] = $jumlah_pegawai;
                }

                $data['jumlah_pegawai_per_status'] = $jumlah_pegawai_per_status;

                $data['total_employees'] = $total_employees;
                $data['title'] = 'Dashboard';
                $this->load->view('layouts/template', $data);
            } else {
                redirect('cover');
            }
        } else {
            redirect('auth');
        }
    }
}
