<?php

class Jabatan extends CI_Model
{
    public function getJabatanAll()
    {
        return $this->db->get('jabatan')->result_array();
    }

    public function getJabatanAllList()
    {
        return $this->db->get('jabatan')->result(); // Mengembalikan sebagai array of objects
    }

    public function getJabatanKaryawan($department)
    {
        $this->db->select('jabatan.*, department.nama_departmen');
        $this->db->from('jabatan');
        $this->db->join('department', 'jabatan.department_id = department.id_department');
        $this->db->where('jabatan.department_id', $department);
        $result = $this->db->get()->result_array();
        return $result;
    }

    public function tambah_jabatan($data)
    {
        $this->db->insert('jabatan', $data);
        return $this->db->insert_id();
    }

    public function get_department_data()
    {
        $data['departments'] = $this->db->get('department')->result();
        $this->load->view('partials/department_table', $data);
    }

    public function get_devisi_data()
    {
        $data['devisi'] = $this->db->get('devisi')->result();
        $this->load->view('partials/devisi_table', $data);
    }

    public function get_level_data()
    {
        $data['levels'] = $this->db->get('level')->result();
        $this->load->view('partials/level_table', $data);
    }
}