<?php

class Users extends CI_Model
{
    public function getAllUsers()
    {
        $query = $this->db->get('users');
        return $query->result();
    }

    public function updateLevel($id, $newLevel)
    {
        $this->db->where('id_user', $id);
        $this->db->update('users', ['level' => $newLevel]);
    }

    // Di dalam model Users.php

    public function getUserById($id)
    {
        // Ambil data pengguna berdasarkan ID
        $query = $this->db->get_where('users', array('id_user' => $id));

        // Kembalikan hasil query dalam bentuk objek pengguna tunggal jika ditemukan, atau NULL jika tidak ditemukan
        return $query->row();
    }

    public function updatePassword($id_user, $new_password)
    {
        // Data yang akan diupdate
        $data = array(
            'password' => $new_password
        );

        // Kondisi untuk mencocokkan id_user yang akan diupdate
        $this->db->where('id_user', $id_user);

        // Lakukan update ke tabel 'users'
        $this->db->update('users', $data);
    }

    public function updateFRID($id_user, $new_frid)
    {
        // Data yang akan diupdate
        $data = array(
            'kode' => $new_frid
        );

        // Kondisi untuk mencocokkan id_user yang akan diupdate
        $this->db->where('id_user', $id_user);

        // Lakukan update ke tabel 'users'
        $this->db->update('users', $data);
    }
}