<div class="border  w-80 mx-auto p-3 rounded shadow-sm">
    <div class="w-100 ">
        <p class="fs-3 fw-bold text-center mb-5 nt-2">Identitas Karyawan <?= $pegawai['nama'] ?></p>
        <?php if ($this->session->flashdata('error')) : ?>
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <?= $this->session->flashdata('error') ?>
            </div>
        <?php elseif ($this->session->flashdata('success')) : ?>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <?= $this->session->flashdata('success') ?>
            </div>
        <?php endif; ?>
        <center>
            <?php if ($sejarah_terbaru) : ?>
                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                    <p>Jenis Perubahan: <?php echo $sejarah_terbaru['jenis_perubahan']; ?></p>
                    <p>TMT: <?php echo $sejarah_terbaru['tmt']; ?></p>
                    <p>SK: <?php echo $sejarah_terbaru['sk']; ?></p>
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <?php endif; ?>
        </center>
    </div>
    <div class="d-flex justify-content-center gap-5">
        <div class="rounded">
            <?php if (!$pegawai['foto_karyawan']) :  ?>
                <div class="card h-100" style="width: 18rem;">
                    <div class="card-body d-flex justify-content-center align-items-center">
                        <p data-bs-toggle="modal" data-bs-target="#image-karyawan">Upload Image</p>
                    </div>
                </div>
            <?php else : ?>
                <img src="<?= base_url('/upload/avatar/') . $pegawai['foto_karyawan'] ?>" alt="" width="250">
                <p data-bs-toggle="modal" data-bs-target="#image-karyawan">Ubah Gambar</p>
            <?php endif; ?>
        </div>
        <div class="body ">
            <div class="NIK mb-3">
                <?php if ($pegawai['nik']) : ?>
                    <p>NIK : <?= $pegawai['nik'] ?> </p>
                <?php else : ?>
                    <p class="d-inline">NIK : </p>
                    <a href="" class="" data-bs-toggle="modal" data-bs-target="#NIK">Tambahkan NIK</a>
                <?php endif; ?>
            </div>
            <p>Nama lengkap : <?= $pegawai['nama'] ?> </p>
            <p>Tempat Lahir : <?= $pegawai['tempat_lahir'] ?> </p>
            <p>Tanggal Lahir : <?= $pegawai['tanggal_lahir'] ?> </p>
            <p>Jenis Kelamin : <?= $pegawai['jenis_kelamin'] ?> </p>
            <a href="<?= base_url('data_kepegawaian/') ?>edit/<?= $pegawai['id'] ?>" class="badge bg-warning text-decoration-none">Edit
                data </a>
        </div>
    </div>
    <div class=" my-3">
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Golongan Darah</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['gol_darah'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Rhesus</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rhesus'] ?>">
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KTP" class="form-label">No KTP</label>
            <div class="input-group mb-3">
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_ktp'] ?>">
                <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#ktp-karyawan">Foto
                    KTP</button>
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KK" class="form-label">No KK</label>
            <div class="input-group mb-3">
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_kk'] ?>">
                <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#kk-karyawan">Foto
                    KK</button>
            </div>
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Status Perkawinan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['status_kawin'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Agama</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_agama'] ?>">
            </div>
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Kebangsaan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kebangsaan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Suku Bangsa</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['suku_bangsa'] ?>">
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KTP" class="form-label">Pendidikan Terakhir</label>
            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_pendidikan'] ?>">
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Golongan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['golongan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Pangkat</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['pangkat'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Jabatan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_jabatan'] ?>">
            </div>
        </div>
        <!--  -->
        <div class="mb-3">
            <label for="NO KTP" class="form-label">Tanggal Masuk</label>
            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tanggal_masuk'] ?>">
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Asal Sekolah</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['asal_sekolah'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Jurusan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['jurusan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Tahun Lulus</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tahun_lulus'] ?>">
            </div>
        </div>
        <!--  -->
        <?php if ($pegawai['alamat_tinggal']) : ?>
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Tinggal </label>
                        <span href="" class="badge bg-warning" data-bs-toggle="modal" data-bs-target="#edit-alamat-tinggal"><i class="fa-regular fa-pen-to-square"></i></span>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['alamat_tinggal'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Rt / Rw</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rt/rw_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kota_tinggal'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kode post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kode_post_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_rumah_tinggal'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Email</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['email_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">HP (GSM)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(GSM)_tinggal"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">HP (CDMA)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(CDMA)_tinggal"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_emergency_tinggal'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#alamat-tinggal">Tambah alamat
                    tinggal
                </a>
            </div>
        <?php endif; ?>
        <!--  -->
        <?php if ($pegawai['alamat_surat']) : ?>
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Surat </label>
                        <a class="badge bg-warning"><i class="fa-regular fa-pen-to-square" data-bs-toggle="modal" data-bs-target="#edit-alamat-surat"></i></a>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['alamat_surat'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Rt / Rw</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rt/rw_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kota_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kode post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kode_post_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_rumah_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Email</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['email_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">HP (GSM)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(GSM)_surat"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">HP (CDMA)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['hp(CDMA)_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_emergency_surat'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#alamat-surat">Tambah alamat surat
                </a>
            </div>
        <?php endif; ?>
        <!--  -->
        <div class="row mb-3">
            <?php if ($pegawai['no_BPJS_ketenagakerjaan']) : ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor BPJS Ketenagakerjaan</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_BPJS_ketenagakerjaan'] ?>">
                        <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#bpjs-ketenagakerjaan-karyawan">Foto
                        </button>
                    </div>
                </div>
            <?php endif; ?>

            <?php if ($pegawai['no_BPJS_kesehatan']) : ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor BPJS Kesehatan</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_BPJS_kesehatan'] ?>">
                        <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#bpjs-kesehatan-karyawan">Foto
                        </button>
                    </div>
                </div>
            <?php endif; ?>

            <?php if ($pegawai['no_NPWP']) :  ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor NPWP</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_NPWP'] ?>">
                        <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#npwp-karyawan">Foto
                        </button>
                    </div>
                </div>
            <?php endif; ?>
        </div>
        <!--  -->
        <?php $pengalamanKerja = $this->Karyawan->getPengalamanKerja($pegawai['id']); ?>
        <?php if ($pengalamanKerja) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Pengalaman kerja</label>
                <a href="" class="badge bg-primary" data-bs-toggle="modal" data-bs-target="#pengalaman-kerja">
                    <i class="fa-solid fa-plus"></i>
                </a>
            </div>
            <?php foreach ($pengalamanKerja as $pengalaman) : ?>
                <div class=" row mb-3">
                    <div class="col">
                        <div class="d-flex align-items-center">
                            <label for="NO KTP" class="form-label">Nama perusahaan </label>
                            <span class="badge bg-warning mx-2" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#edit-pengalaman-kerja" data-bs-id="<?= $pengalaman['id_pengalaman_kerja'] ?>" data-bs-perusahaan="<?= $pengalaman['nama_perusahaan_pengalaman'] ?>" data-bs-created="<?= $pengalaman['created_at_pengalaman'] ?>" data-bs-kota="<?= $pengalaman['kota_pengalaman'] ?>" data-bs-tahun="<?= $pengalaman['tahun_pengalaman'] ?>"><i class="fa-regular fa-pen-to-square"></i></span>
                            <a href="<?= base_url() ?>pengalaman-kerja/karyawan/destroy/" class="badge bg-danger" style="cursor: pointer;" onclick="confirmDeletePengalaman(event, <?= $pengalaman['id_pengalaman_kerja'] ?>, <?= $pengalaman['karyawan_id'] ?>)">
                                <i class="fa-solid fa-trash"></i>
                            </a>
                        </div>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['nama_perusahaan_pengalaman'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['kota_pengalaman'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Tahun</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['tahun_pengalaman'] ?>">
                    </div>
                </div>
            <?php endforeach; ?>
        <?php else : ?>
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#pengalaman-kerja">Tambah Pengalaman
                    Kerja </a>
            </div>
        <?php endif; ?>
        <?php
        $status_mapping = array(
            '1' => 'Pengangkatan',
            '2' => 'Promosi',
            '3' => 'Mutasi',
            '4' => 'SP 1',
            '5' => 'SP 2',
            '6' => 'Diberhentikan',
            '7' => 'Resign',
            '8' => 'Demosi'
        );
        ?>
        <?php $riwayatKerja = $this->Karyawan->getRiwayat($pegawai['id']); ?>
        <div class="riwayat-kerja my-3">
            <label for="" class="fw-bold my-3">Riwayat Kerja</label>
            <?php if ($sejarah) : ?>
                <?php foreach ($sejarah as $perubahan) : ?>
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Jenis Perubahan</label>
                        <!-- Menggunakan array $status_mapping untuk mendapatkan teks status -->
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo isset($status_mapping[$perubahan['jenis_perubahan']]) ? $status_mapping[$perubahan['jenis_perubahan']] : ''; ?>">
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Tanggal Perubahan</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['tmt']; ?>">
                            </div>
                        </div>
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Surat Keputusan</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['sk']; ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Status Awal</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['from']; ?>">
                            </div>
                        </div>
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Status Diubah</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['to']; ?>">
                            </div>
                        </div>
                    </div>
                    <hr>
                <?php endforeach; ?>
            <?php else : ?>
                <div class="mb-3">
                    <p class="mb-3">Riwayat Kerja Belum Ada </p>
                </div>
            <?php endif; ?>
        </div>
        <?php $trainings = $this->Karyawan->getTraining($pegawai['id']); ?>
        <?php if ($trainings) : ?>
            <div class="training my-4">
                <div class="my-3">
                    <label for="" class="fw-bold fs-6">Training</label>
                    <span class="badge bg-primary"><i class="fa-solid fa-plus" data-bs-toggle="modal" data-bs-target="#training"></i></a>
                </div>
                <?php foreach ($trainings as $trial) : ?>
                    <div class="row mb-3">
                        <div class="col">
                            <label for="NO KTP" class="form-label">Training yang di ikuti</label>
                            <span class="badge bg-warning" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#edit-training" data-bs-id="<?= $trial['id_training'] ?>" data-bs-created="<?= $trial['created_at_training'] ?>" data-training="<?= $trial['training'] ?>" data-bs-kota="<?= $trial['kota/tempat_training'] ?>" data-bs-tahun="<?= $trial['tahun_training'] ?>"><i class="fa-regular fa-pen-to-square"></i></span>
                            <a href="<?= base_url() ?>training-kerja/karyawan/destroy/" class="badge bg-danger" style="cursor: pointer;" onclick="confirmDeleteTraining(event, <?= $trial['id_training'] ?>, <?= $trial['karyawan_id'] ?>)">
                                <i class="fa-solid fa-trash"></i>
                            </a>


                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['training'] ?>">
                        </div>
                        <div class="col">
                            <label for="NO KTP" class="form-label">Kota / Tempat</label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['kota/tempat_training'] ?>">
                        </div>
                        <div class="col">
                            <label for="NO KTP" class="form-label">Tahun</label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['tahun_training'] ?>">
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        <?php else : ?>
            <!--  -->
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#training">Tambah training yang
                    pernah di
                    ikuti </a>
            </div>
        <?php endif; ?>
        <!--  -->

        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Kemeja</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_kemeja'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Celana</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_celana'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Sepatu</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_sepatu'] ?>">
            </div>
        </div>
        <!--  -->
        <?php if ($pegawai['nama_keluarga']) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Keluarga</label>
                <span class="badge bg-warning" data-bs-toggle="modal" data-bs-target="#edit-keluarga-kecil"><i class="fa-solid fa-pen-to-square"></i></span>
            </div>
            <div class="mb-3">
                <label for="NO KTP" class="form-label">Nama suami / istri </label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_keluarga'] ?>">
            </div>
            <div class="row mb-3">
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Tanggal lahir </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tanggal_lahir_keluarga'] ?>">
                    </div>
                </div>
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Pekerjaan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['pekerjaan_keluarga'] ?>">
                    </div>
                </div>
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Perusahaan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['perusahaan_keluarga'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
                <a href="<?= base_url() ?>keluarga-karyawan/<?= $pegawai['id'] ?>" class="mb-3" data-bs-toggle="modal" data-bs-target="#keluarga-karyawan">Tambah data Keluarga kecil </a>
            </div>
        <?php endif; ?>
        <!--  -->
        <?php $anak = $this->Karyawan->getAnakKaryawan($pegawai['id']) ?>
        <?php if ($anak) : ?>
            <label for="" class="fs-6 fw-bold">Anak </label>
            <a href="" class="badge bg-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="fa-solid fa-plus"></i></a>
            <?php foreach ($anak as $ank) : ?>
                <div class="row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Nama anak</label>
                        <span class="badge bg-warning" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#edit-anak" data-bs-id="<?= $ank['id_anak'] ?>" data-bs-created="<?= $ank['created_at_anak'] ?>" data-bs-jenkel="<?= $ank['jenkel'] ?>" data-bs-lahir="<?= $ank['tgl_lahir'] ?>" data-bs-pendidikan="<?= $ank['pendidikan'] ?>" data-bs-bekerja="<?= $ank['status_kerja'] ?>" data-bs-menikah="<?= $ank['status_menikah'] ?>" data-bs-nama="<?= $ank['nama_anak'] ?>"><i class="fa-regular fa-pen-to-square"></i></span>

                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['nama_anak'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Jenis Kelamin</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['jenkel'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Tanggal Lahir</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['tgl_lahir'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">pendidikan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['pendidikan'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Bekerja</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['status_kerja'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Menikah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['status_menikah'] ?>">
                    </div>
                </div>

            <?php endforeach; ?>
        <?php else : ?>
            <!--  -->
            <!--  -->
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#exampleModal">Tambah data anak </a>
            </div>
        <?php endif; ?>
        <!--  -->
        <?php $orangTua = $this->Karyawan->Orangtua($pegawai['id']) ?>
        <?php if ($orangTua) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Orang tua</label>
                <span class="badge bg-primary"><i class="fa-solid fa-plus" data-bs-toggle="modal" data-bs-target="#orang-tua"></i></span>
            </div>
            <?php foreach ($orangTua as $ortu) : ?>
                <div class="mb-3">
                    <label for="NO KTP" class="form-label">Nama
                        <?= $ortu['jenis_kelamin_orangtua'] === 'Laki-laki' ? 'Ayah' : 'Ibu' ?> </label>
                    <span class="badge bg-warning" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#edit-orang-tua" data-bs-id="<?= $ortu['id_orang_tua'] ?>" data-bs-created="<?= $ortu['created_at_orangtua'] ?>" data-bs-nama="<?= $ortu['nama_orangtua'] ?>" data-bs-lahir="<?= $ortu['tanggal_lahir_orangtua'] ?>" data-bs-status="<?= $ortu['status_orangtua'] ?>" data-bs-penyebab="<?= $ortu['penyebab_orangtua'] ?>" data-bs-jenkel="<?= $ortu['jenis_kelamin_orangtua'] ?>"><i class="fa-regular fa-pen-to-square"></i></span>


                    <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['nama_orangtua'] ?>">
                </div>
                <div class="row mb-3">
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label">Tanggal lahir orang tua </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['tanggal_lahir_orangtua'] ?>">
                        </div>
                    </div>
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label"><?= $ortu['status_orangtua'] !== 'Hidup' ? 'Wafat' : 'Status' ?>
                            </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['status_orangtua'] ?>">
                        </div>
                    </div>
                    <?php if ($ortu['status_orangtua'] !== 'Hidup') : ?>
                        <div class="col">
                            <div class="mb-3">
                                <label for="NO KTP" class="form-label">penyebab </label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['penyebab_orangtua'] ?>">
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        <?php else : ?>

            <div class="mb-3">
                <a class="mb-3" data-bs-toggle="modal" data-bs-target="#orang-tua">Tambah data Orang Tua </a>
            </div>
        <?php endif; ?>

        <!--  -->
        <?php $alamatOrangtua = $this->Karyawan->getAlamatOrangTua($pegawai['id']) ?>
        <?php if ($alamatOrangtua) : ?>
            <!--  -->
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Orang tua </label>
                        <span class="badge bg-warning"><i class="fa-regular fa-pen-to-square" data-bs-toggle="modal" data-bs-target="#edit-alamat-orangtua"></i></span>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['alamat_orangtua'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Kelurahan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kelurahan_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kecamatan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kecamatan_orangtua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kota_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kode Post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kode_post_orangtua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['telp_rumah_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Handphone</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua["handphone_orangtua"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['telp_emergency_orangtua'] ?>">
                    </div>

                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#alamat_orangtua">Tambah data Alamat
                    Orang Tua </a>
            </div>
        <?php endif; ?>
        <!--  -->
        <!--  -->
        <?php $mertua = $this->Karyawan->Mertua($pegawai['id']); ?>
        <?php if ($mertua) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Mertua</label>
                <span class="badge bg-primary"><i class="fa-solid fa-plus" data-bs-toggle="modal" data-bs-target="#mertua"></i></span>
            </div>
            <?php foreach ($mertua as $mertu) : ?>
                <div class="mb-3">
                    <label for="NO KTP" class="form-label">Nama
                        <?= $mertu['jenis_kelamin_mertua'] === 'Laki-Laki' ? 'Ayah' : 'Ibu' ?> </label>

                    <span class="badge bg-warning" style="cursor: pointer;" data-bs-toggle="modal" data-bs-target="#edit-mertua" data-bs-id="<?= $mertu['id_mertua'] ?>" data-bs-created="<?= $mertu['created_at_mertua'] ?>" data-bs-nama="<?= $mertu['nama_mertua'] ?>" data-bs-lahir="<?= $mertu['tanggal_lahir_mertua'] ?>" data-bs-status="<?= $mertu['status_mertua'] ?>" data-bs-penyebab="<?= $mertu['penyebab_mertua'] ?>" data-bs-jenkel="<?= $mertu['jenis_kelamin_mertua'] ?>"><i class="fa-regular fa-pen-to-square"></i></span>
                    <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['nama_mertua'] ?>">
                </div>
                <div class="row mb-3">
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label">Tanggal lahir orang tua </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['tanggal_lahir_mertua'] ?>">
                        </div>
                    </div>
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label"><?= $mertu['status_mertua'] !== 'Hidup' ? 'Wafat' : 'Status' ?>
                            </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['status_mertua'] ?>">
                        </div>
                    </div>
                    <?php if ($mertu['status_mertua'] !== 'Hidup') : ?>
                        <div class="col">
                            <div class="mb-3">
                                <label for="NO KTP" class="form-label">penyebab </label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['penyebab_mertua'] ?>">
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        <?php else : ?>
            <div class="mb-3">
                <a href="<?= base_url() ?>mertua-karyawan/<?= $pegawai['id'] ?>" class="mb-3" data-bs-toggle="modal" data-bs-target="#mertua">Tambah data Mertua </a>
            </div>
        <?php endif; ?>
        <!--  -->

        <?php $alamatMertua = $this->Karyawan->getAlamatMertua($pegawai['id']) ?>
        <?php if ($alamatMertua) : ?>
            <!--  -->
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Mertua </label>
                        <span class="badge bg-warning"><i class="fa-regular fa-pen-to-square" data-bs-toggle="modal" data-bs-target="#edit-alamat-mertua"></i></span>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['alamat_mertua'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Kelurahan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kelurahan_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kecamatan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kecamatan_mertua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kota_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kode Post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kode_post_mertua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['telp_rumah_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Handphone</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua["handphone_mertua"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['telp_emergency_mertua'] ?>">
                    </div>

                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
                <a href="" class="mb-3" data-bs-toggle="modal" data-bs-target="#alamatMertua">Tambah data Alamat
                    Mertua </a>
            </div>
        <?php endif; ?>


        <!--  -->
    </div>
    <a href="<?= base_url('data_kepegawaian') ?>" class="btn btn-warning text-center text-white">Kembali</a>
</div>
</div>
<script>
    function confirmDeletePengalaman(event, idPengalaman, idKaryawan) {
        event.preventDefault();

        if (confirm("Apakah Anda yakin ingin menghapus data ini?")) {
            window.location.href = "<?= base_url() ?>pengalaman-kerja/karyawan/destroy/" + idPengalaman + "/" +
                idKaryawan;
        }
    }

    function confirmDeleteTraining(event, idTraining, idKaryawan) {
        event.preventDefault();

        if (confirm("Apakah Anda yakin ingin menghapus data ini?")) {
            window.location.href = "<?= base_url() ?>training-kerja/karyawan/destroy/" + idTraining + "/" + idKaryawan;
        }
    }


    $(document).ready(function() {
        $('#edit-pengalaman-kerja').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_pengalaman_kerja = button.data('bs-id');
            var perusahaan_pengalaman = button.data('bs-perusahaan');
            var perusahaan_kota = button.data('bs-kota');
            var tahun_pengalaman = button.data('bs-tahun');
            var created_at_pengalaman = button.data('bs-created');

            $('#edit-modal-id-pengalaman-kerja').val(id_pengalaman_kerja);
            $('#perusahaan-pengalaman').val(perusahaan_pengalaman);
            $('#kota-pengalaman').val(perusahaan_kota);
            $('#tahun-pengalaman').val(tahun_pengalaman);
            $('#created_at-pengalaman').val(created_at_pengalaman);
        });

        $('#edit-riwayat-kerja').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_riwayat_kerja = button.data('bs-id');
            var created_riwayat = button.data('bs-created');
            var perusahaan_riwayat = button.data('bs-perusahaan');
            var tanggal_masuk_riwayat = button.data('bs-masuk');
            var bulan_riwayat = button.data('bs-bulan');
            var tahun_riwayat = button.data('bs-tahun');
            var jabatan_masuk_riwayat = button.data('bs-jasuk');
            var jabatan_akhir_riwayat = button.data('bs-jakir');

            $('#edit-modal-id-riwayat-kerja').val(id_riwayat_kerja);
            $('#edit-modal-id-riwayat-kerja').val(created_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(perusahaan_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(tanggal_masuk_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(bulan_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(tahun_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(jabatan_masuk_riwayat);
            $('#edit-modal-id-riwayat-kerja').val(jabatan_akhir_riwayat);
        });

        $('#edit-training').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_training = button.data('bs-id');
            var created_at_training = button.data('bs-created');
            var training = button.data('training');
            var kota_training = button.data('bs-kota');
            var tahun_training = button.data('bs-tahun');
            $('#edit-modal-id-training').val(id_training);
            $('#edit-modal-created-at-training').val(created_at_training);
            $('#edit-modal-training').val(training);
            $('#edit-modal-kota-training').val(kota_training);
            $('#edit-modal-tahun-training').val(tahun_training);
        });

        $('#edit-anak').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_anak = button.data('bs-id');
            var created_at_anak = button.data('bs-created');
            var jenkel_anak = button.data('bs-jenkel');
            var lahir_anak = button.data('bs-lahir');
            var pendidikan_anak = button.data('bs-pendidikan');
            var bekerja_anak = button.data('bs-bekerja');
            var menikah_anak = button.data('bs-menikah');
            var nama_anak = button.data('bs-nama');

            $('#edit-modal-id-anak').val(id_anak);
            $('#created_at_anak').val(created_at_anak);

            // Cek apakah nilai select yang dikirimkan tidak kosong
            var jenkel_anak = button.data('bs-jenkel');
            if (jenkel_anak != '') {
                // Set nilai select sesuai dengan nilai yang dikirimkan
                $('#jenkel-anak').val(jenkel_anak);
            } else {
                // Set nilai select ke default
                $('#jenkel-anak').val($('#jenkel-anak').find('option:first').val());
            }

            $('#tgl-lahir-anak').val(lahir_anak);
            $('#nama-anak').val(nama_anak);
            $('#pendidikan-anak').val(pendidikan_anak);
            $('#bekerja-anak').val(bekerja_anak);
            $('#menikah-anak').val(menikah_anak);
        });


        $('#edit-orang-tua').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_orang_tua = button.data('bs-id');
            var created_at_orangtua = button.data('bs-created');
            var jenkel_orangtua = button.data('bs-jenkel');
            var lahir_orangtua = button.data('bs-lahir');
            var status_orangtua = button.data('bs-status');
            var penyebab_orangtua = button.data('bs-penyebab');
            var nama_orangtua = button.data('bs-nama');

            $('#edit-modal-id-orang-tua').val(id_orang_tua);
            $('#created_at_orangtua').val(created_at_orangtua);
            $('#jenkel-orangtua').val(jenkel_orangtua);
            $('#tgl-lahir-orangtua').val(lahir_orangtua);
            if (status_orangtua !== "Hidup") {
                $('#status_edit').val("ALM");
                $('#tgl_wafat').val(status_orangtua);
                $('#alm_edit').removeClass('d-none');
                $('#penyebab_edit').removeClass('d-none');
            } else if (status_orangtua == "Hidup") {
                // Jika "Hidup," setel elemen select ke "Hidup"
                $('#status_edit').val("Hidup");
                $('#alm_edit').addClass('d-none');
                $('#penyebab_edit').addClass('d-none');

            }
            $('#penyebab_edit_inpt').val(penyebab_orangtua);
            $('#nama-orangtua').val(nama_orangtua);
        });


        $('#edit-mertua').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var id_mertua = button.data('bs-id');
            var created_at_mertua = button.data('bs-created');
            var jenkel_mertua = button.data('bs-jenkel');
            var lahir_mertua = button.data('bs-lahir');
            var status_mertua = button.data('bs-status');
            var penyebab_mertua = button.data('bs-penyebab');
            var nama_mertua = button.data('bs-nama');

            $('#edit-modal-id-mertua').val(id_mertua);
            $('#created_at_mertua').val(created_at_mertua);
            $('#jenkel-mertua').val(jenkel_mertua);
            $('#tgl-mertua').val(lahir_mertua);
            if (status_mertua !== "Hidup") {
                $('#status_mertua_edit').val("ALM");
                $('#tgl_wafat_mertua').val(status_mertua);
                $('#alm_mertua_edit').removeClass('d-none');
                $('#penyebab_mertua_edit').removeClass('d-none');
                $('#penyebab_mertua_wafat').val(penyebab_mertua);
            } else if (status_mertua == "Hidup") {
                // Jika "Hidup," setel elemen select ke "Hidup"
                $('#status_mertua_edit').val("Hidup");

                $('#alm_mertua_edit').addClass('d-none');
                $('#penyebab_mertua_edit').addClass('d-none');

                $('#status_edit').val("Hidup");
            }
            $('#nama_mertua').val(nama_mertua);
        });


    });
</script>