   <div class="container border rounded py-3 shadow-sm">
       <h1 class="text-center mb-3"><i class="fa-solid fa-clipboard-user text-success"></i> Identitas Karyawan</h1>
       <form action="" method="POST">
           <div>
               <div class="form-floating mb-3">
                   <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nik">
                   <label for="floatingInput">NIK <span class="text-danger">*</span></label>
               </div>
               <div class="form-floating mb-3">
                   <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="name"
                       value="<?= set_value('name') ?>">
                   <label for="floatingInput">Nama lengkap <span class="text-danger">*</span></label>
                   <div class="text-danger fs-6">
                       <?= form_error('name') ?>
                   </div>
               </div>

               <!--  -->
               <div class="row">
                   <div class="col">
                       <div class="form-floating">
                           <input type="text" class="form-control" id="floatingPassword" placeholder="Password"
                               name="tempat_lahir" value="<?= set_value('tempat_lahir') ?>">
                           <label for="floatingPassword">Tempat Lahir <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('tempat_lahir') ?>
                       </div>
                   </div>

                   <div class="col">
                       <div class="form-floating">
                           <input type="date" class="form-control" id="floatingPassword" placeholder="Password"
                               name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                           <label for="floatingPassword">Tanggal Lahir <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('tanggal_lahir'); ?>
                       </div>
                   </div>
               </div>

               <!--  -->
               <div class="row my-3">
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" name="jenis_kelamin">
                           <option value="" <?= set_select('jenis_kelamin', '', TRUE); ?> disabled selected>Jenis
                               Kelamin</option>
                           <option value="Laki-laki" <?= set_select('jenis_kelamin', 'Laki-laki'); ?>>Laki-Laki</option>
                           <option value="Perempuan" <?= set_select('jenis_kelamin', 'Perempuan'); ?>>Perempuan</option>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('jenis_kelamin') ?>
                       </div>
                   </div>
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" name="gol_darah">
                           <option selected disabled <?= set_select('gol_darah', '', TRUE) ?>>Golongan darah</option>
                           <option value="A" <?= set_select('gol_darah', 'A') ?>>A</option>
                           <option value="B" <?= set_select('gol_darah', 'B') ?>>B</option>
                           <option value="AB" <?= set_select('gol_darah', 'AB') ?>>AB</option>
                           <option value="O" <?= set_select('gol_darah', 'O') ?>>O</option>
                           <option value="" <?= set_select('gol_darah', '') ?>>Tidak Diketahui</option>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('gol_darah') ?>
                       </div>
                   </div>
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" name="rhesus">
                           <option selected disabled <?= set_select('rhesus', '', TRUE) ?>>Rhesus</option>
                           <option value="+" <?= set_select('rhesus', '+') ?>>+</option>
                           <option value="-" <?= set_select('rhesus', '-') ?>>-</option>
                           <option value="" <?= set_select('rhesus', '') ?>>Tidak Diketahui</option>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('rhesus') ?>
                       </div>
                   </div>
               </div>

               <!--  -->
               <div class="form-floating mb-3">
                   <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                       name="no_ktp" value="<?= set_value('no_ktp') ?>">
                   <label for="floatingInput">No KTP <span class="text-danger">*</span></label>
                   <div class="text-danger fs-6">
                       <?= form_error('no_ktp'); ?>
                   </div>
               </div>

               <div class="form-floating mb-3">
                   <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                       name="no_kk" value="<?= set_value('no_kk') ?>">
                   <label for="floatingInput">No KK <span class="text-danger">*</span></label>
                   <div class="text-danger fs-6">
                       <?= form_error('no_ktp'); ?>
                   </div>
               </div>
               <!-- . -->

               <div class="row mb-3">
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" name="status_kawin">
                           <option selected disabled <?= set_select('status_kawin', '', TRUE) ?>>Status perkawinan
                           </option>
                           <option value="Belum Kawin" <?= set_select('status_kawin', 'Belum Kawin') ?>>Belum Kawin
                           </option>
                           <option value="Kawin" <?= set_value('status_kawin', 'kawin') ?>>Kawin</option>
                           <option value="Janda/Duda" <?= set_select('status_kawin', 'Janda/Duda') ?>>Janda/Duda
                           </option>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('status_kawin'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" name="agama">
                           <option selected disabled <?= set_select('agama', '', TRUE) ?>>Agama</option>
                           <?php foreach ($agama as $agamas) : ?>
                           <option value="<?= $agamas['id_agama'] ?>" <?= set_select('agama', $agamas['id_agama']) ?>>
                               <?= $agamas['nama_agama'] ?></option>
                           <?php endforeach; ?>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('agama'); ?>
                       </div>
                   </div>
               </div>
               <!--  -->
               <select class="form-select mb-3" aria-label="Default select example" name="kebangsaan" id="bangsa">
                   <option selected disabled <?= set_select('kebangsaan', '', TRUE) ?>>Kebangsaan</option>
                   <option value="WNI" <?= set_select('kebangsaan', 'WNI') ?>>WNI</option>
                   <option value="WNA" <?= set_select('kebangsaan', 'WNA') ?>>WNA</option>
               </select>

               <div class="row mb-3">
                   <div class="col">
                       <div class="form-floating">
                           <input type="text" class="form-control" id="floatingPassword" placeholder="Password"
                               name="suku_bangsa" value="<?= set_value('suku_bangsa'); ?>">
                           <label for="floatingPassword">Suku bangsa</label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('suku_bangsa'); ?>
                       </div>
                   </div>
                   <div class="col d-none" id="wna-input">
                       <div class="form-floating">
                           <input type="text" class="form-control" id="floatingPassword" placeholder="Password"
                               name="negara" value="<?= set_value('kebangsaan') ?>">
                           <label for="floatingPassword">Negara <span class="text-danger"></span></label>
                       </div>
                   </div>
               </div>
               <!--  -->
               <div class="form-floating mb-3">
                   <input type="date" class="form-control" id="floatingPassword" placeholder="Password"
                       name="tanggal_masuk" value="<?= set_value('tanggal_masuk'); ?>">
                   <label for="floatingPassword">Tanggal Masuk <span class="text-danger">*</span></label>
               </div>
               <div class="text-danger fs-6">
                   <?= form_error('tanggal_masuk'); ?>
               </div>
               <!--  -->
               <select class="form-select mb-3" aria-label="Default select example" name="pendidikan_terakhir">
                   <option selected disabled <?= set_select('pendidikan_terakhir', '', TRUE) ?>>Pendidikan Terakhir
                   </option>
                   <?php foreach ($pendidikan_terakhir as $penAkhir) : ?>
                   <option value="<?= $penAkhir['id_pendidikan_terakhir'] ?>"
                       <?= set_select('pendidikan_terakhir', $penAkhir['id_pendidikan_terakhir']) ?>>
                       <?= $penAkhir['nama_pendidikan'] ?></option>
                   <?php endforeach; ?>
               </select>
               <div class="text-danger fs-6">
                   <?= form_error('pendidikan_terakhir'); ?>
               </div>
               <!--  -->
               <div class="row mb-3">
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="golongan" value="<?= set_value('golongan') ?>">
                           <label for="floatingInput">Golongan</label>
                       </div>
                       <div>
                           <?= form_error('golongan'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="pangkat" value="<?= set_value('pangkat') ?>">
                           <label for="floatingInput">Pangkat</label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('pangkat') ?>
                       </div>
                   </div>
                   <div class="col">
                       <select class="form-select mb-3" aria-label="Default select example" name="jabatan">
                           <option selected disabled <?= set_select('jabatan', '', TRUE) ?>>Jabatan</option>
                           <?php foreach ($jabatan as $jabat) : ?>
                           <option value="<?= $jabat['id_jabatan'] ?>"
                               <?= set_select('jabatan', $jabat['id_jabatan']); ?>><?= $jabat['nama_jabatan'] ?>
                           </option>
                           <?php endforeach; ?>
                       </select>
                       <div class="text-danger fs-6">
                           <?= form_error('jabatan'); ?>
                       </div>
                   </div>
               </div>
               <!--  -->
               <select class="form-select mb-3" aria-label="Default select example" name="status">
                   <option selected disabled <?= set_select('status', '', TRUE) ?>>Status Saat Ini</option>
                   <option value="Tetap" <?= set_select('status', 'Tetap') ?>>Tetap</option>
                   <option value="Kontrak" <?= set_select('status', 'Kontrak') ?>>Kontrak</option>
                   <option value="Training" <?= set_select('status', 'Training') ?>>Training</option>
                   <option value="Lainya" <?= set_select('status', 'Lainnya') ?>>Lainnya</option>
               </select>
               <div class="text-danger fs-6">
                   <?= form_error('status'); ?>
               </div>
               <!--  -->
               <div class="row mb-3">
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="asal_sekolah" value="<?= set_value('asal_sekolah') ?>">
                           <label for="floatingInput">Asal Sekolah <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('asal_sekolah') ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="jurusan" value="<?= set_value('jurusan') ?>">
                           <label for="floatingInput">Jurusan <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('jurusan'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="tahun_lulus" value="<?= set_value('tahun_lulus') ?>">
                           <label for="floatingInput">Tahun Lulus</label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('tahun_lulus'); ?>
                       </div>
                   </div>
               </div>
               <!--  -->
               <div class="row my-3">
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" id="BPJS-ketenagakerjaan">
                           <option selected disabled>Kartu BPJS Ketenagakerjaan </option>
                           <option value="sudah ada">Sudah Ada</option>
                           <option value="belum ada">Belum Ada</option>
                       </select>
                   </div>
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" id="BPJS-kesehatan">
                           <option selected disabled>Kartu BPJS Kesehatan</option>
                           <option value="sudah ada">Sudah Ada</option>
                           <option value="belum ada">Belum Ada</option>

                       </select>
                   </div>
                   <div class="col">
                       <select class="form-select" aria-label="Default select example" id="NPWP">
                           <option selected disabled>Kartu NPWP</option>
                           <option value="sudah ada">Sudah Ada</option>
                           <option value="belum ada">Belum Ada</option>
                       </select>
                   </div>
               </div>
               <!--  -->
               <div class="row mb-3">
                   <div class="col d-none" id="no-bpjs-ketenagakerjaan">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="no_BPJS_ketenagakerjaan" value="<?= set_value('no_BPJS_ketenagakerjaan') ?>">
                           <label for="floatingInput">No BPJS ketenagakerjaan <span class="text-danger">*</span></label>
                       </div>
                   </div>
                   <div class="col d-none" id="no-bpjs-kesehatan">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="no_BPJS_kesehatan" <?= set_value('no_BPJS_kesehatan') ?>>
                           <label for="floatingInput">No BPJS Kesehatan <span class="text-danger">*</span></label>
                       </div>
                   </div>
                   <div class="col d-none" id="npwp">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="no_NPWP" value="<?= set_value('no_NPWP') ?>">
                           <label for="floatingInput">No NPWP <span class="text-danger">*</span></label>
                       </div>
                   </div>
               </div>

               <div class="row mb-3">
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="ukuran_kemeja" value="<?= set_value('ukuran_kemeja'); ?>">
                           <label for="floatingInput">Ukuran Kemeja <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('ukuran_kemeja'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="ukuran_sepatu" value="<?= set_value('ukuran_sepatu') ?>">
                           <label for="floatingInput">Ukuran Sepatu <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('ukuran_sepatu'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="ukuran_celana" value="<?= set_value('ukuran_celana') ?>">
                           <label for="floatingInput">Ukuran Celana <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('ukuran_celana') ?>
                       </div>
                   </div>
               </div>
               <div class="row mb-3">
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="username" value="<?= set_value('username'); ?>">
                           <label for="floatingInput">Username <span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('username'); ?>
                       </div>
                   </div>
                   <div class="col">
                       <div class="form-floating mb-3">
                           <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com"
                               name="password" value="<?= set_value('password') ?>">
                           <label for="floatingInput">Password<span class="text-danger">*</span></label>
                       </div>
                       <div class="text-danger fs-6">
                           <?= form_error('password'); ?>
                       </div>
                   </div>
               </div>
               <input type="hidden" name="created_at" value="<?= $created_at ?>">
               <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
               <div class="text-center">
                   <button class="btn btn-success">Simpan</button>
               </div>
           </div>
       </form>
   </div>

   <script>
const wna = document.getElementById('bangsa')
const inputWna = document.getElementById('wna-input');

wna.addEventListener('change', () => {
    if (wna.value === 'WNA') {
        inputWna.classList.toggle('d-none')
    } else {
        inputWna.classList.add('d-none')
    }
});

// kartu 
const jsKerja = document.getElementById('BPJS-ketenagakerjaan');
const IjsKerja = document.getElementById('no-bpjs-ketenagakerjaan')

const jsSehat = document.getElementById('BPJS-kesehatan')
const IjsSehat = document.getElementById('no-bpjs-kesehatan')

const npwp = document.getElementById('NPWP')
const Inpwp = document.getElementById('npwp')

jsKerja.addEventListener('change', () => {
    if (jsKerja.value === 'sudah ada') {
        IjsKerja.classList.toggle('d-none')
    } else {
        IjsKerja.classList.add('d-none')
    }
})
jsSehat.addEventListener('change', () => {
    if (jsSehat.value === 'sudah ada') {
        IjsSehat.classList.toggle('d-none')
    } else {
        IjsSehat.classList.add('d-none')
    }
})
npwp.addEventListener('change', () => {
    if (npwp.value === 'sudah ada') {
        Inpwp.classList.toggle('d-none')
    } else {
        Inpwp.classList.add('d-none')
    }
})
   </script>