<div class="border  w-80 mx-auto p-3 rounded shadow-sm">
    <div class="w-100 ">
        <p class="fs-3 fw-bold text-center mb-5 nt-2">Identitas Karyawan <?= $pegawai['nama'] ?></p>
        <?php if ($this->session->flashdata('error')) : ?>
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <?= $this->session->flashdata('error') ?>
            </div>
        <?php elseif ($this->session->flashdata('success')) : ?>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <?= $this->session->flashdata('success') ?>
            </div>
        <?php endif; ?>
        <center>
            <?php if ($sejarah_terbaru) : ?>
                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                    <p>Jenis Perubahan: <?php echo $sejarah_terbaru['jenis_perubahan']; ?></p>
                    <p>TMT: <?php echo $sejarah_terbaru['tmt']; ?></p>
                    <p>SK: <?php echo $sejarah_terbaru['sk']; ?></p>
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <?php endif; ?>
        </center>
    </div>
    <div class="d-flex justify-content-center gap-5">
        <div class="rounded">
            <?php if (!$pegawai['foto_karyawan']) :  ?>
                <div class="card h-100" style="width: 18rem;">
                    <div class="card-body d-flex justify-content-center align-items-center">
                    </div>
                </div>
            <?php else : ?>
                <img src="<?= base_url('/upload/avatar/') . $pegawai['foto_karyawan'] ?>" alt="" width="250">
                <p data-bs-toggle="modal" data-bs-target="#image-karyawan">Ubah Gambar</p>
            <?php endif; ?>
        </div>
        <div class="body ">
            <div class="NIK mb-3">
                <?php if ($pegawai['nik']) : ?>
                    <p>NIK : <?= $pegawai['nik'] ?> </p>
                <?php else : ?>
                    <p class="d-inline">NIK : </p>
                <?php endif; ?>
            </div>
            <p>Nama lengkap : <?= $pegawai['nama'] ?> </p>
            <p>Tempat Lahir : <?= $pegawai['tempat_lahir'] ?> </p>
            <p>Tanggal Lahir : <?= $pegawai['tanggal_lahir'] ?> </p>
            <p>Jenis Kelamin : <?= $pegawai['jenis_kelamin'] ?> </p>
            </div>
    </div>
    <div class=" my-3">
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Golongan Darah</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['gol_darah'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Rhesus</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rhesus'] ?>">
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KTP" class="form-label">No KTP</label>
            <div class="input-group mb-3">
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_ktp'] ?>">
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KK" class="form-label">No KK</label>
            <div class="input-group mb-3">
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_kk'] ?>">
            </div>
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Status Perkawinan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['status_kawin'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Agama</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_agama'] ?>">
            </div>
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Kebangsaan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kebangsaan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Suku Bangsa</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['suku_bangsa'] ?>">
            </div>
        </div>
        <div class="mb-3">
            <label for="NO KTP" class="form-label">Pendidikan Terakhir</label>
            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_pendidikan'] ?>">
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Golongan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['golongan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Pangkat</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['pangkat'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Jabatan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_jabatan'] ?>">
            </div>
        </div>
        <!--  -->
        <div class="mb-3">
            <label for="NO KTP" class="form-label">Tanggal Masuk</label>
            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tanggal_masuk'] ?>">
        </div>
        <!--  -->
        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Asal Sekolah</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['asal_sekolah'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Jurusan</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['jurusan'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Tahun Lulus</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tahun_lulus'] ?>">
            </div>
        </div>
        <!--  -->
        <?php if ($pegawai['alamat_tinggal']) : ?>
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Tinggal </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['alamat_tinggal'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Rt / Rw</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rt/rw_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kota_tinggal'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kode post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kode_post_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_rumah_tinggal'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Email</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['email_tinggal'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">HP (GSM)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(GSM)_tinggal"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">HP (CDMA)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(CDMA)_tinggal"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_emergency_tinggal'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">

            </div>
        <?php endif; ?>
        <!--  -->
        <?php if ($pegawai['alamat_surat']) : ?>
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Surat </label>
                        <a class="badge bg-warning"><i class="fa-regular fa-pen-to-square" data-bs-toggle="modal" data-bs-target="#edit-alamat-surat"></i></a>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['alamat_surat'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Rt / Rw</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['rt/rw_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kota_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kode post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['kode_post_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_rumah_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Email</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['email_surat'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">HP (GSM)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai["hp(GSM)_surat"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">HP (CDMA)</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['hp(CDMA)_surat'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['telp_emergency_surat'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">

            </div>
        <?php endif; ?>
        <!--  -->
        <div class="row mb-3">
            <?php if ($pegawai['no_BPJS_ketenagakerjaan']) : ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor BPJS Ketenagakerjaan</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_BPJS_ketenagakerjaan'] ?>">
                    </div>
                </div>
            <?php endif; ?>

            <?php if ($pegawai['no_BPJS_kesehatan']) : ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor BPJS Kesehatan</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_BPJS_kesehatan'] ?>">
                    </div>
                </div>
            <?php endif; ?>

            <?php if ($pegawai['no_NPWP']) :  ?>
                <div class="col">
                    <label for="NO KTP" class="form-label">Nomor NPWP</label>
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['no_NPWP'] ?>">
                    </div>
                </div>
            <?php endif; ?>
        </div>
        <!--  -->
        <?php $pengalamanKerja = $this->Karyawan->getPengalamanKerja($pegawai['id']); ?>
        <?php if ($pengalamanKerja) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Pengalaman kerja</label>
                <a href="" class="badge bg-primary" data-bs-toggle="modal" data-bs-target="#pengalaman-kerja">
                    <i class="fa-solid fa-plus"></i>
                </a>
            </div>
            <?php foreach ($pengalamanKerja as $pengalaman) : ?>
                <div class=" row mb-3">
                    <div class="col">
                        <div class="d-flex align-items-center">
                            <label for="NO KTP" class="form-label">Nama perusahaan </label>
                            <a href="<?= base_url() ?>pengalaman-kerja/karyawan/destroy/" class="badge bg-danger" style="cursor: pointer;" onclick="confirmDeletePengalaman(event, <?= $pengalaman['id_pengalaman_kerja'] ?>, <?= $pengalaman['karyawan_id'] ?>)">
                                <i class="fa-solid fa-trash"></i>
                            </a>
                        </div>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['nama_perusahaan_pengalaman'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['kota_pengalaman'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Tahun</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pengalaman['tahun_pengalaman'] ?>">
                    </div>
                </div>
            <?php endforeach; ?>
        <?php else : ?>
            <div class="mb-3">
            </div>
        <?php endif; ?>
        <?php
        $status_mapping = array(
            '1' => 'Pengangkatan',
            '2' => 'Promosi',
            '3' => 'Mutasi',
            '4' => 'SP 1',
            '5' => 'SP 2',
            '6' => 'Diberhentikan',
            '7' => 'Resign',
            '8' => 'Demosi'
        );
        ?>
        <?php $riwayatKerja = $this->Karyawan->getRiwayat($pegawai['id']); ?>
        <div class="riwayat-kerja my-3">
            <label for="" class="fw-bold my-3">Riwayat Kerja</label>
            <?php if ($sejarah) : ?>
                <?php foreach ($sejarah as $perubahan) : ?>
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Jenis Perubahan</label>
                        <!-- Menggunakan array $status_mapping untuk mendapatkan teks status -->
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo isset($status_mapping[$perubahan['jenis_perubahan']]) ? $status_mapping[$perubahan['jenis_perubahan']] : ''; ?>">
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Tanggal Perubahan</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['tmt']; ?>">
                            </div>
                        </div>
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Surat Keputusan</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['sk']; ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Status Awal</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['from']; ?>">
                            </div>
                        </div>
                        <div class="col">
                            <div class="">
                                <label for="NO KTP" class="form-label">Status Diubah</label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?php echo $perubahan['to']; ?>">
                            </div>
                        </div>
                    </div>
                    <hr>
                <?php endforeach; ?>
            <?php else : ?>
                <div class="mb-3">
                    <p class="mb-3">Riwayat Kerja Belum Ada </p>
                </div>
            <?php endif; ?>
        </div>
        <?php $trainings = $this->Karyawan->getTraining($pegawai['id']); ?>
        <?php if ($trainings) : ?>
            <div class="training my-4">
                <div class="my-3">
                    <label for="" class="fw-bold fs-6">Training</label>
                </div>
                <?php foreach ($trainings as $trial) : ?>
                    <div class="row mb-3">
                        <div class="col">
                            <label for="NO KTP" class="form-label">Training yang di ikuti</label>
                            <a href="<?= base_url() ?>training-kerja/karyawan/destroy/" class="badge bg-danger" style="cursor: pointer;" onclick="confirmDeleteTraining(event, <?= $trial['id_training'] ?>, <?= $trial['karyawan_id'] ?>)">
                                <i class="fa-solid fa-trash"></i>
                            </a>


                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['training'] ?>">
                        </div>
                        <div class="col">
                            <label for="NO KTP" class="form-label">Kota / Tempat</label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['kota/tempat_training'] ?>">
                        </div>
                        <div class="col">
                            <label for="NO KTP" class="form-label">Tahun</label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $trial['tahun_training'] ?>">
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        <?php else : ?>
            <!--  -->
            <div class="mb-3">

            </div>
        <?php endif; ?>
        <!--  -->

        <div class="row mb-3">
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Kemeja</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_kemeja'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Celana</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_celana'] ?>">
            </div>
            <div class="col">
                <label for="NO KTP" class="form-label">Ukuran Sepatu</label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['ukuran_sepatu'] ?>">
            </div>
        </div>
        <!--  -->
        <?php if ($pegawai['nama_keluarga']) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Keluarga</label>
            </div>
            <div class="mb-3">
                <label for="NO KTP" class="form-label">Nama suami / istri </label>
                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['nama_keluarga'] ?>">
            </div>
            <div class="row mb-3">
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Tanggal lahir </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['tanggal_lahir_keluarga'] ?>">
                    </div>
                </div>
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Pekerjaan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['pekerjaan_keluarga'] ?>">
                    </div>
                </div>
                <div class="col">
                    <div class="mb-3">
                        <label for="NO KTP" class="form-label">Perusahaan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $pegawai['perusahaan_keluarga'] ?>">
                    </div>
                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
            </div>
        <?php endif; ?>
        <!--  -->
        <?php $anak = $this->Karyawan->getAnakKaryawan($pegawai['id']) ?>
        <?php if ($anak) : ?>
            <label for="" class="fs-6 fw-bold">Anak </label>
            <?php foreach ($anak as $ank) : ?>
                <div class="row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Nama anak</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['nama_anak'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Jenis Kelamin</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['jenkel'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Tanggal Lahir</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['tgl_lahir'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">pendidikan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['pendidikan'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Bekerja</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['status_kerja'] ?>">
                    </div>
                    <div class="col">
                        <label for="NO KTP" class="form-label">Menikah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ank['status_menikah'] ?>">
                    </div>
                </div>

            <?php endforeach; ?>
        <?php else : ?>
            <!--  -->
            <!--  -->
            <div class="mb-3">

            </div>
        <?php endif; ?>
        <!--  -->
        <?php $orangTua = $this->Karyawan->Orangtua($pegawai['id']) ?>
        <?php if ($orangTua) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Orang tua</label>
            </div>
            <?php foreach ($orangTua as $ortu) : ?>
                <div class="mb-3">
                    <label for="NO KTP" class="form-label">Nama
                        <?= $ortu['jenis_kelamin_orangtua'] === 'Laki-laki' ? 'Ayah' : 'Ibu' ?> </label>
                    <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['nama_orangtua'] ?>">
                </div>
                <div class="row mb-3">
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label">Tanggal lahir orang tua </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['tanggal_lahir_orangtua'] ?>">
                        </div>
                    </div>
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label"><?= $ortu['status_orangtua'] !== 'Hidup' ? 'Wafat' : 'Status' ?>
                            </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['status_orangtua'] ?>">
                        </div>
                    </div>
                    <?php if ($ortu['status_orangtua'] !== 'Hidup') : ?>
                        <div class="col">
                            <div class="mb-3">
                                <label for="NO KTP" class="form-label">penyebab </label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $ortu['penyebab_orangtua'] ?>">
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        <?php else : ?>

            <div class="mb-3">
            </div>
        <?php endif; ?>

        <!--  -->
        <?php $alamatOrangtua = $this->Karyawan->getAlamatOrangTua($pegawai['id']) ?>
        <?php if ($alamatOrangtua) : ?>
            <!--  -->
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Orang tua </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['alamat_orangtua'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Kelurahan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kelurahan_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kecamatan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kecamatan_orangtua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kota_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kode Post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['kode_post_orangtua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['telp_rumah_orangtua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Handphone</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua["handphone_orangtua"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatOrangtua['telp_emergency_orangtua'] ?>">
                    </div>

                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
            </div>
        <?php endif; ?>
        <!--  -->
        <!--  -->
        <?php $mertua = $this->Karyawan->Mertua($pegawai['id']); ?>
        <?php if ($mertua) : ?>
            <div class="my-3">
                <label for="" class="fw-bold fs-6">Mertua</label>
            </div>
            <?php foreach ($mertua as $mertu) : ?>
                <div class="mb-3">
                    <label for="NO KTP" class="form-label">Nama
                        <?= $mertu['jenis_kelamin_mertua'] === 'Laki-Laki' ? 'Ayah' : 'Ibu' ?> </label>
                    <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['nama_mertua'] ?>">
                </div>
                <div class="row mb-3">
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label">Tanggal lahir orang tua </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['tanggal_lahir_mertua'] ?>">
                        </div>
                    </div>
                    <div class="col">
                        <div class="mb-3">
                            <label for="NO KTP" class="form-label"><?= $mertu['status_mertua'] !== 'Hidup' ? 'Wafat' : 'Status' ?>
                            </label>
                            <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['status_mertua'] ?>">
                        </div>
                    </div>
                    <?php if ($mertu['status_mertua'] !== 'Hidup') : ?>
                        <div class="col">
                            <div class="mb-3">
                                <label for="NO KTP" class="form-label">penyebab </label>
                                <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $mertu['penyebab_mertua'] ?>">
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        <?php else : ?>
            <div class="mb-3">
            </div>
        <?php endif; ?>
        <!--  -->

        <?php $alamatMertua = $this->Karyawan->getAlamatMertua($pegawai['id']) ?>
        <?php if ($alamatMertua) : ?>
            <!--  -->
            <div class="mt-5">
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Alamat Mertua </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['alamat_mertua'] ?>">
                    </div>
                    <div class="col col-lg-2">
                        <label for="NO KTP" class="form-label">Kelurahan </label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kelurahan_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kecamatan</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kecamatan_mertua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Kota</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kota_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Kode Post</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['kode_post_mertua'] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp. Rumah</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['telp_rumah_mertua'] ?>">
                    </div>
                </div>
                <div class=" row mb-3">
                    <div class="col">
                        <label for="NO KTP" class="form-label">Handphone</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua["handphone_mertua"] ?>">
                    </div>
                    <div class="col ">
                        <label for="NO KTP" class="form-label">Telp Emergency</label>
                        <input type="text" class="form-control" id="formGroupExampleInput" disabled value="<?= $alamatMertua['telp_emergency_mertua'] ?>">
                    </div>

                </div>
            </div>
        <?php else : ?>
            <div class="mb-3">
            </div>
        <?php endif; ?>


        <!--  -->
    </div>
    <a href="<?= base_url('dashboard') ?>" class="btn btn-warning text-center text-white">Kembali</a>
</div>
</div>