<?php
// Tampilkan flashdata jika ada
if ($this->session->flashdata('add')) {
    echo '
    <div class="notifikasi" id="notifikasi">
    ' . $this->session->flashdata('add') . '
        <span class="tutup" onclick="tutupNotifikasi()">&times;</span>
    </div>';
}
?>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<table class="table datatable">
    <thead>
        <tr class="">
            <th scope="col" class="bg-success  text-white">#</th>
            <th scope="col">Nama</th>
            <th scope="col">Username</th>
            <th scope="col">Status Users</th>
            <th scope="col">Aksi Level</th>
            <th scope="col">Ganti Password</th>
            <th scope="col">Ganti RFID</th>
        </tr>
    </thead>
    <tbody>
        <?php $i = 1; ?>
        <?php foreach ($karyawan as $pegawai) : ?>
        <tr>
            <th scope="row" class="text-center"><?= $i++ ?></th>
            <td><?= $pegawai->nama ?></td>
            <td><?= $pegawai->username ?></td>
            <td>
                <?php
                    if ($pegawai->level === "Dirut") {
                        echo "President Direktur";
                    } elseif ($pegawai->level === "Divisi") {
                        echo "Kepala Divisi";
                    } else {
                        echo $pegawai->level; // Tampilkan level aslinya untuk yang lain
                    }
                    ?>
            </td>
            <td>
                <!-- Tombol untuk mengubah level -->
                <button type="button" class="btn btn-outline-primary" data-toggle="modal"
                    data-target="#gantiLevelModal<?= $pegawai->id_user ?>">
                    Ganti Level
                </button>
                <!-- Modal Ganti Level -->
                <div class="modal fade" id="gantiLevelModal<?= $pegawai->id_user ?>" tabindex="-1" role="dialog"
                    aria-labelledby="gantiLevelModalLabel<?= $pegawai->id_user ?>" aria-hidden="true">
                    <!-- Konten modal -->
                    <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content">
                            <!-- Bagian header modal -->
                            <div class="modal-header">
                                <h5 class="modal-title" id="gantiLevelModalLabel<?= $pegawai->id_user ?>">Ganti Level
                                    Pekerjaan</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <!-- Bagian body modal -->
                            <div class="modal-body">
                                <!-- Form ganti level -->
                                <form id="form-ganti-level-<?= $pegawai->id_user ?>"
                                    action="<?= base_url('data_kepegawaian/update_level/' . $pegawai->id_user) ?>"
                                    method="post">
                                    <div class="form-group">
                                        <label for="level">Pilih Level</label>
                                        <select class="form-control" id="level" name="level" required>
                                            <option value="Manager"
                                                <?= ($pegawai->level == 'Manager') ? 'selected' : '' ?>>Manager</option>
                                            <option value="Karyawan"
                                                <?= ($pegawai->level == 'Karyawan') ? 'selected' : '' ?>>Karyawan
                                            </option>
                                            <option value="Dirut" <?= ($pegawai->level == 'Dirut') ? 'selected' : '' ?>>
                                                President Direktur</option>
                                            <option value="Direktur"
                                                <?= ($pegawai->level == 'Direktur') ? 'selected' : '' ?>>Direktur
                                            </option>
                                            <option value="Divisi"
                                                <?= ($pegawai->level == 'Divisi') ? 'selected' : '' ?>>Kepala Divisi
                                            </option>
                                        </select>
                                    </div>
                                </form>
                            </div>
                            <!-- Bagian footer modal -->
                            <div class="modal-footer">
                                <button type="button" class="btn btn-success"
                                    onclick="submitForm('form-ganti-level-<?= $pegawai->id_user ?>')">Konfirmasi</button>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
            <td>
                <!-- Tambahkan tombol "Ganti Password" -->
                <button type="button" class="btn btn-outline-success" data-toggle="modal"
                    data-target="#gantiPasswordModal<?= $pegawai->id_user ?>">
                    Ganti Password
                </button>
            </td>
            <!-- Modal Ganti Password -->
            <div class="modal fade" id="gantiPasswordModal<?= $pegawai->id_user ?>" tabindex="-1" role="dialog"
                aria-labelledby="gantiPasswordModalLabel<?= $pegawai->id_user ?>" aria-hidden="true">
                <!-- Konten modal -->
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <!-- Bagian header modal -->
                        <div class="modal-header">
                            <h5 class="modal-title" id="gantiPasswordModalLabel<?= $pegawai->id_user ?>">Ganti Password
                            </h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <!-- Bagian body modal -->
                        <div class="modal-body">
                            <!-- Form ganti password -->
                            <form id="form-ganti-password-<?= $pegawai->id_user ?>"
                                action="<?= base_url('data_kepegawaian/ganti_password/' . $pegawai->id_user) ?>"
                                method="post">
                                <div class="form-group">
                                    <label for="new_password">Password Baru</label>
                                    <input type="password" class="form-control" id="new_password" name="new_password"
                                        required>
                                </div>
                            </form>
                        </div>
                        <!-- Bagian footer modal -->
                        <div class="modal-footer">
                            <button type="button" class="btn btn-success"
                                onclick="submitForm('form-ganti-password-<?= $pegawai->id_user ?>')">Konfirmasi</button>
                        </div>
                    </div>
                </div>
            </div>
            <td>
                <!-- Tambahkan tombol "Ganti FRID" -->
                <button type="button" class="btn btn-outline-success" data-toggle="modal"
                    data-target="#gantiFRIDModal<?= $pegawai->id_user ?>">
                    Ganti FRID
                </button>
            </td>
            <!-- Modal Ganti frid -->
            <div class="modal fade" id="gantiFRIDModal<?= $pegawai->id_user ?>" tabindex="-1" role="dialog"
                aria-labelledby="gantiFRIDModalLabel<?= $pegawai->id_user ?>" aria-hidden="true">
                <!-- Konten modal -->
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <!-- Bagian header modal -->
                        <div class="modal-header">
                            <h5 class="modal-title" id="gantiFRIDModalLabel<?= $pegawai->id_user ?>">Ganti FRID
                            </h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <!-- Bagian body modal -->
                        <div class="modal-body">
                            <!-- Form ganti frid -->
                            <form id="form-ganti-frid-<?= $pegawai->id_user ?>"
                                action="<?= base_url('data_kepegawaian/ganti_frid/' . $pegawai->id_user) ?>"
                                method="post">
                                <div class="form-group">
                                    <label for="new_frid">FRID Baru</label>
                                    <input type="frid" class="form-control" id="new_frid" name="new_frid" required>
                                </div>
                            </form>
                        </div>
                        <!-- Bagian footer modal -->
                        <div class="modal-footer">
                            <button type="button" class="btn btn-success"
                                onclick="submitForm('form-ganti-frid-<?= $pegawai->id_user ?>')">Konfirmasi</button>
                        </div>
                    </div>
                </div>
            </div>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>

<script>
function submitForm(formId) {
    document.getElementById(formId).submit();
}
</script>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>