<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>GEN -
        <?= $title ?>
    </title>
    <link rel="icon" href="<?= base_url('public/images/logos.png') ?>" type="image/png">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <link rel="stylesheet" href="<?= base_url('public/css/style.css') ?>">
    <link href="<?= base_url(); ?>/assets/img/favicons.png" rel="icon">
    <link href="<?= base_url(); ?>/assets/img/apple-touch-icon.png" rel="apple-touch-icon">
    <link href="https://fonts.gstatic.com" rel="preconnect">
    <link
        href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
        rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/quill/quill.snow.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/quill/quill.bubble.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link href="<?= base_url(); ?>/assets/vendor/simple-datatables/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="<?= base_url(); ?>/assets/css/style.css" rel="stylesheet">
    <script src="https://kit.fontawesome.com/72bae55f93.js" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <style>
    .notifikasi {
        display: none;
        position: fixed;
        bottom: 20px;
        left: 50%;
        transform: translateX(-50%);
        padding: 10px;
        background-color: #4CAF50;
        color: white;
        width: 40rem;
        border-radius: 5px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    /* Gaya tombol tutup */
    .tutup {
        cursor: pointer;
        color: #fff;
        float: right;
        font-size: 20px;
    }

    .modal {
        display: none;
        /* Defaultnya modal tidak tampil */
        position: fixed;
        z-index: 1;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: auto;
        background-color: rgba(0, 0, 0, 0.4);
        /* Latar belakang gelap */
    }

    /* Style untuk konten dalam modal */
    .modal-content {
        background-color: #fefefe;
        margin: 15% auto;
        /* Atur posisi konten modal */
        padding: 20px;
        border: 1px solid #888;
        width: 50%;
        /* Atur lebar konten modal */
    }

    /* Style untuk tombol dalam modal */
    .modal-content button {
        margin: 5px;
    }
    </style>
</head>

<body>
    <?php
    $this->load->view('layouts/navbar'); ?>


    <?php if (current_url() == base_url('dashboard')) : ?>
    <?php
        $this->load->view('dashboard'); ?>

    <?php elseif (current_url() == base_url('cover')) : ?>
    <?php
        $this->load->view('cover'); ?>

    <?php elseif (current_url() == base_url('form')) : ?>
    <?php
        $this->load->view('kepegawaian/form'); ?>

    <?php elseif (current_url() == base_url('detail/pribadi/' . $this->session->userdata('id_karyawan'))) : ?>
    <?php
        $this->load->view('kepegawaian/pribadi'); ?>

    <?php elseif (current_url() == base_url('detail/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/foto/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/alamatTinggal/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/editAlamatTinggal/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/alamatSurat/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('alamat-surat/karyawan/edit/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('keluarga/karyawan/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/upload_ktp/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/upload_kk/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/upload_bpjs_kesehatan/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/upload_bpjs_ketenagakerjaan/' . (isset($pegawai['id']) ? $pegawai['id'] : '')) || current_url() == base_url('detail/upload_npwp/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('layouts/header');
        $this->load->view('kepegawaian/detail');
        $this->load->view('modal/modal'); ?>

    <?php elseif (current_url() == base_url('data_kepegawaian')) : ?>
    <?php
        $this->load->view('kepegawaian/index'); ?>

    <?php elseif (current_url() == base_url('data_kepegawaian/edit/' . (isset($karyawan['id']) ? $karyawan['id'] : ''))) : ?>
    <?php
        $this->load->view('kepegawaian/editKaryawan'); ?>

    <?php elseif (current_url() == base_url('data_kepegawaian/mantan')) : ?>
    <?php
        $this->load->view('kepegawaian/mantan'); ?>

    <?php elseif (current_url() == base_url('data_kepegawaian/users')) : ?>
    <?php
        $this->load->view('kepegawaian/users'); ?>

    <?php elseif (current_url() == base_url('jabatan')) : ?>
    <?php
        $this->load->view('kepegawaian/mantan'); ?>

    <?php elseif (current_url() == base_url('mutasi')) : ?>
    <?php
        $this->load->view('mutasi/index'); ?>

    <?php elseif (current_url() == base_url('mutasi/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('mutasi/sistem'); ?>

    <?php elseif (current_url() == base_url('promosi')) : ?>
    <?php
        $this->load->view('promosi/index'); ?>

    <?php elseif (current_url() == base_url('promosi/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('promosi/sistem'); ?>

    <?php elseif (current_url() == base_url('demosi')) : ?>
    <?php
        $this->load->view('demosi/index'); ?>

    <?php elseif (current_url() == base_url('demosi/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('demosi/sistem'); ?>

    <?php elseif (current_url() == base_url('dikeluarkan')) : ?>
    <?php
        $this->load->view('dikeluarkan/index'); ?>

    <?php elseif (current_url() == base_url('dikeluarkan/sp1/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('dikeluarkan/sp1'); ?>

    <?php elseif (current_url() == base_url('dikeluarkan/sp2/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('dikeluarkan/sp2'); ?>

    <?php elseif (current_url() == base_url('dikeluarkan/dikeluarkan/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('dikeluarkan/dikeluarkan'); ?>

    <?php elseif (current_url() == base_url('resign')) : ?>
    <?php
        $this->load->view('resign/index'); ?>

    <?php elseif (current_url() == base_url('resign/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('resign/sistem'); ?>

    <?php elseif (current_url() == base_url('pengangkatan')) : ?>
    <?php
        $this->load->view('pengangkatan/index'); ?>

    <?php elseif (current_url() == base_url('pengangkatan/' . (isset($pegawai['id']) ? $pegawai['id'] : ''))) : ?>
    <?php
        $this->load->view('pengangkatan/sistem'); ?>
    <?php elseif (current_url() == base_url('data_kepegawaian/jabatan')) : ?>
    <?php
        $this->load->view('jabatan/list_jabatan'); ?>
    <?php elseif (current_url() == base_url('data_kepegawaian/tambah_jabatan')) : ?>
    <?php
        $this->load->view('jabatan/tambah_jabatan'); ?>
    <?php else : ?>
    <?php $this->load->view('custom404'); ?>
    <?php endif; ?>

    </main>

    <footer id="footer" class="footer">
        <div class="copyright">
            &copy; Copyright <strong><span>Global Enviro Nusa</span></strong>. All Rights Reserved
        </div>
    </footer>

    <script>
    function tutupNotifikasi() {
        document.getElementById('notifikasi').style.display = 'none';
    }
    document.addEventListener('DOMContentLoaded', function() {
        document.getElementById('notifikasi').style.display = 'block';
    });
    </script>

    <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
            class="bi bi-arrow-up-short"></i></a>

</body>
<script>
// Ambil tombol yang akan memunculkan modal
var modalBtn = document.getElementById("modalBtn");

// Ambil modal
var modal = document.getElementById("myModal");

// Ambil tombol-tombol dalam modal
var diberhentikanBtn = document.getElementById("diberhentikanBtn");
var mengundurkanBtn = document.getElementById("mengundurkanBtn");

// Ketika tombol memunculkan modal diklik
modalBtn.onclick = function() {
    modal.style.display = "block"; // Tampilkan modal
}

// Ketika tombol "diberhentikan" diklik
diberhentikanBtn.onclick = function() {
    // Lakukan operasi "diberhentikan"
    // Misalnya panggil fungsi yang telah kamu buat sebelumnya
    // ...
    modal.style.display = "none"; // Tutup modal setelah aksi selesai
}

// Ketika tombol "mengundurkan" diklik
mengundurkanBtn.onclick = function() {
    // Lakukan operasi "mengundurkan"
    // Misalnya panggil fungsi yang telah kamu buat sebelumnya
    // ...
    modal.style.display = "none"; // Tutup modal setelah aksi selesai
}

// Jika pengguna mengklik area di luar modal, tutup modal
window.onclick = function(event) {
    if (event.target == modal) {
        modal.style.display = "none";
    }
}
</script>
<script>
(function() {
    var idleTime = 0;
    var idleInterval = setInterval(timerIncrement, 60000); // 1 menit

    function timerIncrement() {
        idleTime++;
        if (idleTime >= 3) { // 3 menit
            window.location.href = "<?php echo site_url('auth/logout'); ?>";
        }
    }

    document.onmousemove = document.onkeypress = function() {
        idleTime = 0;
    };
})();
</script>
<script src="<?= base_url(); ?>/assets/vendor/apexcharts/apexcharts.min.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/chart.js/chart.umd.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/echarts/echarts.min.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/quill/quill.min.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/simple-datatables/simple-datatables.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/tinymce/tinymce.min.js"></script>
<script src="<?= base_url(); ?>/assets/vendor/php-email-form/validate.js"></script>
<script src="<?= base_url(); ?>/assets/js/main.js"></script>
</body>

</html>
</body>

</html>