<!-- Modal -->
<?php $alamatMertua = $this->Karyawan->getAlamatMertua($pegawai['id']) ?>
<?php $alamatOrangtua = $this->Karyawan->getAlamatOrangTua($pegawai['id']) ?>

<!-- NIK -->
<div class="modal fade" id="NIK" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan NIK </h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>detail/NIK/<?= $pegawai['id'] ?>" method="post">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nik" value="<?= set_value('nik') ?>">
                        <label for="floatingInput">NIK</label>
                        <div class="text-danger mb-3">
                            <?= form_error('nik') ?>
                        </div>
                    </div>
                    <button class="btn btn-primary">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
<!-- end NIK -->

<!-- anak -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan data anak</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>detail/anak/<?= $pegawai['id'] ?>" method="post">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama_anak" value="<?= set_value('nama_anak') ?>">
                        <label for="floatingInput">Nama lengkap</label>
                        <div class="text-danger mb-3">
                            <?= form_error('nama_anak') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tgl_lahir" value="<?= set_value('tgl_lahir') ?>">
                                <label for="floatingInput">Tanggal lahir</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('tgl_lahir') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <select class="form-select" aria-label="Default select example" name="jenkel">
                                <option selected>Jenis kelamin</option>
                                <option value="L">Laki-laki</option>
                                <option value="P">Perempuan</option>
                            </select>
                            <div class="text-danger mb-3">
                                <?= form_error('jenkel') ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="pendidikan" value="<?= set_value('pendidikan') ?>">
                        <label for="floatingInput">Pendidikan</label>
                        <div class="text-danger mb-3">
                            <?= form_error('pendidikan') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status_kerja">
                                    <option selected>Bekerja</option>
                                    <option value="Tidak">TIDAK</option>
                                    <option value="Ya">YA</option>
                                </select>
                                <div class="text-danger mb-3">
                                    <?= form_error('status_kerja') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status_menikah">
                                    <option selected>Menikah</option>
                                    <option value="Tidak">TIDAK</option>
                                    <option value="Ya">YA</option>
                                </select>
                                <div class="text-danger mb-3">
                                    <?= form_error('status_menikah') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="keluarga" value="<?= $pegawai['id_keluarga'] ?>">
                    <input type="hidden" name="created_at" value="<?= $created_at ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </form>
            </div>
        </div>
        <div class="modal-footer">
        </div>
    </div>
</div>
<!-- end anak -->

<!-- edit anak -->
<div class="modal fade" id="edit-anak" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data anak</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>detail/anak/edit/<?= $pegawai['id'] ?>" method="post">
                    <input type="hidden" name="id_anak" id="edit-modal-id-anak">

                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="nama-anak" placeholder="name@example.com" name="nama_anak" value="<?= set_value('nama_anak') ?>">
                        <label for="floatingInput">Nama lengkap</label>
                        <div class="text-danger mb-3">
                            <?= form_error('nama_anak') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="tgl-lahir-anak" placeholder="name@example.com" name="tgl_lahir" value="<?= set_value('tgl_lahir') ?>">
                                <label for="floatingInput">Tanggal lahir</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('tgl_lahir') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <select class="form-select" aria-label="Default select example" name="jenkel" id="jenkel-anak">
                                <option>Jenis kelamin</option>
                                <option value="L">Laki-laki</option>
                                <option value="P">Perempuan</option>
                            </select>
                            <div class="text-danger mb-3">
                                <?= form_error('jenkel') ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="pendidikan-anak" placeholder="name@example.com" name="pendidikan" value="<?= set_value('pendidikan') ?>">
                        <label for="floatingInput">Pendidikan</label>
                        <div class="text-danger mb-3">
                            <?= form_error('pendidikan') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status_kerja" id="bekerja-anak">
                                    <option>Bekerja</option>
                                    <option value="Tidak">TIDAK</option>
                                    <option value="Ya">YA</option>
                                </select>
                                <div class="text-danger mb-3">
                                    <?= form_error('status_kerja') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status_menikah" id="menikah-anak">
                                    <option selected>Menikah</option>
                                    <option value="Tidak">TIDAK</option>
                                    <option value="Ya">YA</option>
                                </select>
                                <div class="text-danger mb-3">
                                    <?= form_error('status_menikah') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="keluarga" value="<?= $pegawai['id_keluarga'] ?>">
                    <input type="hidden" name="created_at_anak" id="created_at_anak">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </form>
            </div>

        </div>
        <div class="modal-footer">
        </div>

    </div>
</div>
<!-- end edit anak -->

<!-- alamat orang tua -->
<div class="modal fade" id="alamat_orangtua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah data alamat orang tua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>alamat-orangtua/<?= $pegawai['id'] ?>" method="post">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat') ?>">
                        <label for="floatingInput">Alamat<span class="text-danger">*</span></label>
                        <div class="text-danger mb-3">
                            <?= form_error('alamat') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan') ?>">
                                <label for="floatingInput">Kelurahan<span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kelurahan') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan') ?>">
                                <label for="floatingInput">Kecamatan<span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kecamatan') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                                <label for="floatingInput">Kota<span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kota') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post') ?>">
                                <label for="floatingInput">Kode Post<span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kode_post') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah') ?>">
                                <label for="floatingInput">Telp rumah</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('telp_rumah') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="handphone" value="<?= set_value('handphone') ?>">
                                <label for="floatingInput">Handphone</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('handphone') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency') ?>">
                                <label for="floatingInput">Telp Emergency</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('telp_emergency') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="orangtua" value="<?= $pegawai['id_orang_tua'] ?>">
                    <input type="hidden" name="created_at" value="<?= $created_at ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </form>
            </div>

        </div>
        <div class="modal-footer">
        </div>

    </div>
</div>
<!--end  alamat orang tua -->
<?php if ($alamatOrangtua) : ?>
    <!-- edit alamat orang tua -->
    <div class="modal fade" id="edit-alamat-orangtua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data alamat orang tua</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="<?= base_url() ?>alamat-orangtua/edit/<?= $pegawai['id'] ?>" method="post">
                        <input type="hidden" name="alamat_orangtua_id" value="<?= $alamatOrangtua['id_alamat_orang_tua'] ?>">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat', $alamatOrangtua['alamat_orangtua']) ?>">
                            <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan', $alamatOrangtua['kelurahan_orangtua']) ?>">
                                    <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan', $alamatOrangtua['kecamatan_orangtua']) ?>">
                                    <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota', $alamatOrangtua['kota_orangtua']) ?>">
                                    <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post', $alamatOrangtua['kode_post_orangtua']) ?>">
                                    <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah', $alamatOrangtua['telp_rumah_orangtua']) ?>">
                                    <label for="floatingInput">Telp rumah</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="handphone" value="<?= set_value('handphone', $alamatOrangtua['handphone_orangtua']) ?>">
                                    <label for="floatingInput">Handphone</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('handphone') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency', $alamatOrangtua['telp_emergency_orangtua']) ?>">
                                    <label for="floatingInput">Telp Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="orangtua" value="<?= $pegawai['id_orang_tua'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </form>
                </div>

            </div>
            <div class="modal-footer">
            </div>

        </div>
    </div>
    <!--end edit  alamat orang tua -->
<?php endif; ?>
<!-- alamat Mertua -->
<div class="modal fade" id="alamatMertua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah data alamat mertua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>alamat-mertua/<?= $pegawai['id'] ?>" method="post">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat') ?>">
                        <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                        <div class="text-danger mb-3">
                            <?= form_error('alamat') ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan') ?>">
                                <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kelurahan') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan') ?>">
                                <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kecamatan') ?>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                                <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kota') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post') ?>">
                                <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                <div class="text-danger mb-3">
                                    <?= form_error('kode_post') ?>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row mb-3">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah') ?>">
                                <label for="floatingInput">Telp rumah</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('telp_rumah') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="handphone" value="<?= set_value('handphone') ?>">
                                <label for="floatingInput">Handphone</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('handphone') ?>
                                </div>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency') ?>">
                                <label for="floatingInput">Telp Emergency</label>
                                <div class="text-danger mb-3">
                                    <?= form_error('telp_emergency') ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="" name="mertua" value="<?= $pegawai['id_mertua'] ?>">
                    <input type="hidden" name="created_at" value="<?= $created_at ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </form>
            </div>

        </div>
        <div class="modal-footer">
        </div>

    </div>
</div>
<!--end  alamat Mertua -->
<?php if ($alamatMertua) :  ?>
    <!-- edit alamat Mertua -->
    <div class="modal fade" id="edit-alamat-mertua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data alamat mertua</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="<?= base_url() ?>alamat-mertua/edit/<?= $pegawai['id'] ?>" method="post">
                        <input type="hidden" name="id_alamat_mertua" value="<?= $alamatMertua['id_alamat_mertua'] ?>">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat', $alamatMertua['alamat_mertua']) ?>">
                            <label for="floatingInput">Alamat</label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan', $alamatMertua['kelurahan_mertua']) ?>">
                                    <label for="floatingInput">Kelurahan</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan', $alamatMertua['kecamatan_mertua']) ?>">
                                    <label for="floatingInput">Kecamatan</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota', $alamatMertua['kota_mertua']) ?>">
                                    <label for="floatingInput">Kota</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post', $alamatMertua['kode_post_mertua']) ?>">
                                    <label for="floatingInput">Kode Post</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah', $alamatMertua['telp_rumah_mertua']) ?>">
                                    <label for="floatingInput">Telp rumah</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="handphone" value="<?= set_value('handphone', $alamatMertua['handphone_mertua']) ?>">
                                    <label for="floatingInput">Handphone</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('handphone') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency', $alamatMertua['telp_emergency_mertua']) ?>">
                                    <label for="floatingInput">Telp Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <input type="hidden" name="mertua" value="<?= $pegawai['id_mertua'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button type="submit" class="btn btn-primary">Simpan perubahan</button>
                    </form>
                </div>

            </div>
            <div class="modal-footer">
            </div>

        </div>
    </div>
    <!--end  alamat Mertua -->
<?php endif; ?>
<!-- alamat tinggal -->
<div class="modal fade" id="alamat-tinggal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah Alamat Tinggal</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>alamat-tinggal/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>

                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat') ?>">
                            <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="rt/rw" value="<?= set_value('rt/rw') ?>">
                            <label for="floatingInput">Rt / Rw <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('rt/rw') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan') ?>">
                                    <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan') ?>">
                                    <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                                    <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post') ?>">
                                    <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah') ?>">
                                    <label for="floatingInput">telp. Rumah </label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" name="email" value="<?= set_value('email') ?>">
                                    <label for="floatingInput">Email <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('email') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(GSM)" value="<?= set_value('hp(GSM)') ?>">
                                    <label for="floatingInput">HP (GSM) <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(GSM)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(CDMA)" value="<?= set_value('hp(CDMA)') ?>">
                                    <label for="floatingInput">HP (CDMA) </label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(CDMA)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency') ?>">
                                    <label for="floatingInput">telp. Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                    </div>
                    <!--  -->
                    <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                    <input type="hidden" name="created_at" value="<?= $created_at ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button class="btn btn-primary">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
<!-- end alamat qqtinggal -->
<!-- edit alamat tinggal -->
<div class="modal fade" id="edit-alamat-tinggal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit Alamat Tinggal</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>detail/editAlamatTinggal/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="alamat_tinggal" value="<?= $pegawai['id_alamat_tinggal'] ?>">
                    <div>

                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat', $pegawai['alamat_tinggal']) ?>">
                            <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>
                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="rt/rw" value="<?= set_value('rt/rw', $pegawai['rt/rw_tinggal']) ?>">
                            <label for="floatingInput">Rt / Rw <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('rt/rw') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan', $pegawai['kelurahan_tinggal']) ?>">
                                    <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan', $pegawai['kecamatan_tinggal']) ?>">
                                    <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota', $pegawai['kota_tinggal']) ?>">
                                    <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post', $pegawai['kode_post_tinggal']) ?>">
                                    <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah', $pegawai['telp_rumah_tinggal']) ?>">
                                    <label for="floatingInput">telp. Rumah</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" name="email" value="<?= set_value('email', $pegawai['email_tinggal']) ?>">
                                    <label for="floatingInput">Email <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('email') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(GSM)" value="<?= set_value('hp(GSM)', $pegawai['hp(GSM)_tinggal']) ?>">
                                    <label for="floatingInput">HP (GSM) <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(GSM)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(CDMA)" value="<?= set_value('hp(CDMA)', $pegawai['hp(CDMA)_tinggal']) ?>">
                                    <label for="floatingInput">HP (CDMA)</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(CDMA)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency', $pegawai['telp_emergency_tinggal']) ?>">
                                    <label for="floatingInput">telp. Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                    </div>
                    <!--  -->
                    <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                    <input type="hidden" name="created_at" value="<?= $pegawai['created_at_tinggal'] ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button class="btn btn-primary">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
<!-- end edit alamt tinggal -->

<!-- alamat surat -->
<div class="modal fade" id="alamat-surat" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah alamat surat</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>alamat-surat/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat') ?>">
                            <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="rt/rw" value="<?= set_value('rt/rw') ?>">
                            <label for="floatingInput">Rt / Rw <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('rt/rw') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan') ?>">
                                    <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan') ?>">
                                    <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                                    <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post') ?>">
                                    <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah') ?>">
                                    <label for="floatingInput">telp. Rumah</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" name="email" value="<?= set_value('email') ?>">
                                    <label for="floatingInput">Email <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('email') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(GSM)" value="<?= set_value('hp(GSM)') ?>">
                                    <label for="floatingInput">HP (GSM) <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(GSM)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(CDMA)" value="<?= set_value('hp(CDMA)') ?>">
                                    <label for="floatingInput">HP (CDMA)</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(CDMA)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency') ?>">
                                    <label for="floatingInput">telp. Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                    </div>
                    <!--  -->
                    <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                    <input type="hidden" name="created_at" value="<?= $created_at ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button class="btn btn-primary">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- end alamat surat -->

<!-- edit alamat surat -->
<div class="modal fade" id="edit-alamat-surat" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit alamat surat</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url() ?>alamat-surat/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="alamat" value="<?= set_value('alamat', $pegawai['alamat_surat']) ?>">
                            <label for="floatingInput">Alamat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('alamat') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="rt/rw" value="<?= set_value('rt/rw', $pegawai['rt/rw_surat']) ?>">
                            <label for="floatingInput">Rt / Rw <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('rt/rw') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kelurahan" value="<?= set_value('kelurahan', $pegawai['kelurahan_surat']) ?>">
                                    <label for="floatingInput">Kelurahan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kelurahan') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kecamatan" value="<?= set_value('kecamatan', $pegawai['kecamatan_surat']) ?>">
                                    <label for="floatingInput">Kecamatan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kecamatan') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota', $pegawai['kota_surat']) ?>">
                                    <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kota') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kode_post" value="<?= set_value('kode_post', $pegawai['kode_post_surat']) ?>">
                                    <label for="floatingInput">Kode Post <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('kode_post') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_rumah" value="<?= set_value('telp_rumah', $pegawai['telp_rumah_surat']) ?>">
                                    <label for="floatingInput">telp. Rumah</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_rumah') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" name="email" value="<?= set_value('email', $pegawai['email_surat']) ?>">
                                    <label for="floatingInput">Email <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('email') ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(GSM)" value="<?= set_value('hp(GSM)', $pegawai['hp(GSM)_surat']) ?>">
                                    <label for="floatingInput">HP (GSM) <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(GSM)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="hp(CDMA)" value="<?= set_value('hp(CDMA)', $pegawai['hp(CDMA)_surat']) ?>">
                                    <label for="floatingInput">HP (CDMA)</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('hp(CDMA)') ?>
                                    </div>
                                </div>

                            </div>
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="telp_emergency" value="<?= set_value('telp_emergency', $pegawai['telp_emergency_surat']) ?>">
                                    <label for="floatingInput">telp. Emergency</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('telp_emergency') ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--  -->
                    </div>
                    <!--  -->
                    <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                    <input type="hidden" name="alamat_surat" value="<?= $pegawai['id_alamat_surat'] ?>">
                    <input type="hidden" name="created_at" value="<?= $pegawai['created_at_surat'] ?>">
                    <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                    <button class="btn btn-primary">Simpan Perubahan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- end edit alamat surat -->

<!-- pengalaman kerja -->
<div class="modal fade" id="pengalaman-kerja" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah pengalaman kerja</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>pengalaman-kerja/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama_perusahaan" value="<?= set_value('nama_perusahaan') ?>">
                            <label for="floatingInput">Nama perusahaan <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama_perusahaan') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                            <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('kota') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="tahun" value="<?= set_value('tahun') ?>">
                                    <label for="floatingInput">Tahun <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('tahun') ?>
                                    </div>
                                </div>

                            </div>

                            <!--  -->
                        </div>
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end pengalaman kerja -->
<!-- edit pengalaman kerja -->
<div class="modal fade" id="edit-pengalaman-kerja" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit pengalaman kerja</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>pengalaman-kerja/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="id_pengalaman_kerja" id="edit-modal-id-pengalaman-kerja">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="perusahaan-pengalaman" placeholder="name@example.com" name="nama_perusahaan" value="<?= set_value('nama_perusahaan') ?>">
                            <label for="floatingInput">Nama perusahaan <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama_perusahaan') ?>
                            </div>
                        </div>
                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="kota-pengalaman" placeholder="name@example.com" name="kota" value="<?= set_value('kota') ?>">
                            <label for="floatingInput">Kota <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('kota') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="tahun-pengalaman" placeholder="name@example.com" name="tahun" value="<?= set_value('tahun') ?>">
                                    <label for="floatingInput">Tahun <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('tahun') ?>
                                    </div>
                                </div>

                            </div>

                            <!--  -->
                        </div>
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="text" name="created_at" id="created_at-pengalaman">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end pengalaman kerja -->
<!-- hapus pengalaman kerja -->
<div class="modal fade" id="hapus-pengalaman-kerja" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Hapus pengalaman kerja</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="modal-body">
                    Apakah Anda yakin ingin menghapus data ini?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                    <button type="button" class="btn btn-danger" id="confirmDelete">Ya, Hapus</button>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end pengalaman kerja -->

<!-- riwayat bekerja -->
<div class="modal fade" id="riwayat-kerja" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Tambah riwayat kerja</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>riwayat-kerja/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tanggal_masuk" value="<?= set_value('tanggal_masuk') ?>">
                            <label for="floatingInput">Tanggal Masuk <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_masuk') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="bulan_riwayat" value="<?= set_value('bulan_riwayat') ?>">
                            <label for="floatingInput">Bulan<span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('bulan_riwayat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="tahun_riwayat" value="<?= set_value('tahun_riwayat') ?>">
                            <label for="floatingInput">Tahun<span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tahun_riwayat') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="jabatan_masuk" value="<?= set_value('jabatan_masuk') ?>">
                                    <label for="floatingInput">Jabatan masuk <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('jabatan_masuk') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="jabatan_akhir" value="<?= set_value('jabatan_akhir') ?>">
                                    <label for="floatingInput">Jabatan akhir <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('jabatan_akhir') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="perusahaan" value="<?= set_value('perusahaan') ?>">
                                    <label for="floatingInput">Perusahaan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('perusahaan') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
</div>
<!-- end riwayat bekerja -->

<!-- edit riwayat bekerja -->
<div class="modal fade" id="edit-riwayat-kerja" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit riwayat kerja</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>riwayat-kerja/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="id_riwayat_kerja" id="edit-modal-id-riwayat-kerja">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="tanggal_masuk" placeholder="name@example.com" name="tanggal_masuk" value="<?= set_value('tanggal_masuk') ?>">
                            <label for="floatingInput">Tanggal Masuk <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_masuk') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="bulan_riwayat" placeholder="name@example.com" name="bulan_riwayat" value="<?= set_value('bulan_riwayat') ?>">
                            <label for="floatingInput">Bulan<span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('bulan_riwayat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="tahun_riwayat" placeholder="name@example.com" name="tahun_riwayat" value="<?= set_value('tahun_riwayat') ?>">
                            <label for="floatingInput">Tahun<span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tahun_riwayat') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="jabatan_masuk" placeholder="name@example.com" name="jabatan_masuk" value="<?= set_value('jabatan_masuk') ?>">
                                    <label for="floatingInput">Jabatan masuk <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('jabatan_masuk') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="jabatan_akhir" placeholder="name@example.com" name="jabatan_akhir" value="<?= set_value('jabatan_akhir') ?>">
                                    <label for="floatingInput">Jabatan akhir <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('jabatan_akhir') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="perusahaan" placeholder="name@example.com" name="perusahaan" value="<?= set_value('perusahaan') ?>">
                                    <label for="floatingInput">Perusahaan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('perusahaan') ?>
                                    </div>
                                </div>

                            </div>

                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
</div>
<!-- end edit riwayat bekerja -->

<!-- training -->
<div class="modal fade" id="training" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan data training</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>training/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="training" value="<?= set_value('training') ?>">
                            <label for="floatingInput">Training <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('training') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="kota/tempat" value="<?= set_value('kota/tempat') ?>">
                            <label for="floatingInput">Kota / Tempat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('kota/tempat') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="tahun" value="<?= set_value('tahun') ?>">
                                    <label for="floatingInput">Tahun <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('tahun') ?>
                                    </div>
                                </div>

                            </div>

                            <!--  -->
                        </div>
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
</div>
<!-- end training -->

<!-- edit training -->
<div class="modal fade" id="edit-training" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data training</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>training/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="id_training" id="edit-modal-id-training">
                    <input type="hidden" name="created_at" id="edit-modal-created-at-training">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="edit-modal-training" placeholder="name@example.com" name="training" value="<?= set_value('training') ?>">
                            <label for="floatingInput">Training <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('training') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="edit-modal-kota-training" placeholder="name@example.com" name="kota/tempat" value="<?= set_value('kota/tempat') ?>">
                            <label for="floatingInput">Kota / Tempat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('kota/tempat') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="edit-modal-tahun-training" placeholder="name@example.com" name="tahun" value="<?= set_value('tahun') ?>">
                                    <label for="floatingInput">Tahun <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('tahun') ?>
                                    </div>
                                </div>

                            </div>

                            <!--  -->
                        </div>
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
</div>
<!-- end edit training -->
<!-- Keluarga kecil -->
<div class="modal fade" id="keluarga-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan data keluarga kecil</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>keluarga/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama" value="<?= set_value('nama') ?>">
                            <label for="floatingInput">Nama suami / istri <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <select class="form-select mb-3" aria-label="Default select example" name="pekerjaan" id="pekerja">
                                    <option selected disabled>Pekerjaan</option>
                                    <option value="karyawan">Karyawan</option>
                                    <option value="wiraswasta">Wiraswasta</option>
                                    <option value="ibu rumah tangga">Ibu rumah tangga</option>
                                    <option value="lainnya">Lainnya</option>
                                </select>
                                <div class="form-floating mb-3 d-none" id="pekerjaan-lainnya">
                                    <input type="text" class="form-control" id="pekerjaan-lainnya-input" placeholder="name@example.com" name="pekerja">
                                    <label for="pekerjaan-lainnya-input">Pekerjaan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('pekerjaan') ?>
                                    </div>
                                </div>
                                <div class="text-danger mb-3">
                                    <?= form_error('pekerjaan') ?>
                                </div>
                            </div>
                        </div>
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="perusahaan" value="<?= set_value('perusahaan') ?>">
                                    <label for="floatingInput">perusahaan</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('perusahaan') ?>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>

        </div>
    </div>
</div>
</div>
<!-- end keluarga kecil -->
<!-- edit keluarga kecil -->
<div class="modal fade" id="edit-keluarga-kecil" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit keluarga kecil</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>keluarga-karyawan/updating/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama" value="<?= set_value('nama', $pegawai['nama_keluarga']) ?>">
                            <label for="floatingInput">Nama suami / istri <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>

                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir', $pegawai['tanggal_lahir_keluarga']) ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3" id="pekerjaan">
                                    <input type="text" class="form-control" id="pekerjaan" placeholder="name@example.com" name="pekerjaan" value="<?= set_value('pekerjaan_keluarga') ?>">
                                    <label for="pekerjaan-lainnya-input">Pekerjaan <span class="text-danger">*</span></label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('pekerjaan') ?>
                                    </div>
                                </div>
                                <div class="text-danger mb-3">
                                    <?= form_error('pekerjaan') ?>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-3">
                            <div class="col">
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="perusahaan" value="<?= set_value('perusahaan', $pegawai['perusahaan_keluarga']) ?>">
                                    <label for="floatingInput">perusahaan</label>
                                    <div class="text-danger mb-3">
                                        <?= form_error('perusahaan') ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="keluarga" value="<?= $pegawai['id_keluarga'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- end edit keluarga kecil -->
<!--Orang tua  -->
<div class="modal fade" id="orang-tua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan data orang tua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>orangtua/karyawan/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama" value="<?= set_value('nama') ?>">
                            <label for="floatingInput">Nama <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <!--  -->
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="jenis_kelamin">
                                    <option selected disabled>Jenis Kelamin</option>
                                    <option value="Laki-laki">Laki laki</option>
                                    <option value="perempuan">Perempuan</option>
                                </select>
                            </div>
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status" id="status">
                                    <option selected disabled>Status</option>
                                    <option value="Hidup">Hidup</option>
                                    <option value="ALM">Alm</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="alm">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="wafat" value="<?= set_value('wafat') ?>">
                            <label for="floatingInput">Tanggal wafat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('wafat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="penyebab">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="penyebab" value="<?= set_value('penyebab') ?>">
                            <label for="floatingInput">penyebab <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('penyebab') ?>
                            </div>
                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end orang tua -->
<!--edit Orang tua  -->
<div class="modal fade" id="edit-orang-tua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data orang tua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>orangtua/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="id_orang_tua" id="edit-modal-id-orang-tua">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="nama-orangtua" placeholder="name@example.com" name="nama" value="<?= set_value('nama') ?>">
                            <label for="floatingInput">Nama <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="tgl-lahir-orangtua" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <!--  -->

                        <div class="row mb-3">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="jenis_kelamin" id="jenkel-orangtua">
                                    <option selected disabled>Jenis Kelamin</option>
                                    <option value="Laki-laki">Laki laki</option>
                                    <option value="perempuan">Perempuan</option>
                                </select>
                            </div>
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status" id="status_edit">
                                    <option disabled>Status</option>
                                    <option value="Hidup">Hidup</option>
                                    <option value="ALM">Alm</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="alm_edit">
                            <input type="date" class="form-control" id="tgl_wafat" placeholder="name@example.com" name="wafat" value="<?= set_value('wafat') ?>">
                            <label for="floatingInput">Tanggal wafat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('wafat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="penyebab_edit">
                            <input type="text" class="form-control" id="penyebab_edit_inpt" placeholder="name@example.com" name="penyebab" value="<?= set_value('penyebab') ?>">
                            <label for="floatingInput">penyebab <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('penyebab') ?>
                            </div>
                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- edit  end orang tua -->
<!-- mertua -->
<div class="modal fade" id="mertua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Masukan data mertua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>mertua-karyawan/store/<?= $pegawai['id'] ?>" method="POST">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="nama" value="<?= set_value('nama') ?>">
                            <label for="floatingInput">Nama mertua <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <!--  -->

                        <div class="row mb-3">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="jenis_kelamin" id="jenkel-mertua">
                                    <option selected disabled>Jenis Kelamin</option>
                                    <option value="Laki-laki">Laki laki</option>
                                    <option value="Perempuan">Perempuan</option>
                                </select>
                            </div>
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status" id="status_mertua">
                                    <option selected disabled>Status</option>
                                    <option value="Hidup">Hidup</option>
                                    <option value="ALM">Alm</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="alm_mertua">
                            <input type="date" class="form-control" id="floatingInput" placeholder="name@example.com" name="wafat" value="<?= set_value('wafat') ?>">
                            <label for="floatingInput">Tanggal wafat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('wafat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="penyebab_mertua">
                            <input type="text" class="form-control" id="floatingInput" placeholder="name@example.com" name="penyebab" value="<?= set_value('penyebab') ?>">
                            <label for="floatingInput">penyebab <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('penyebab') ?>
                            </div>
                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" value="<?= $created_at ?>">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end mertua -->
<!-- edit mertua -->
<div class="modal fade" id="edit-mertua" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit data mertua</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url(); ?>mertua-karyawan/karyawan/edit/<?= $pegawai['id'] ?>" method="POST">
                    <input type="hidden" name="id_mertua" id="edit-modal-id-mertua">
                    <div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="nama_mertua" placeholder="name@example.com" name="nama" value="<?= set_value('nama') ?>">
                            <label for="floatingInput">Nama mertua <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('nama') ?>
                            </div>
                        </div>


                        <!--  -->
                        <div class="form-floating mb-3">
                            <input type="date" class="form-control" id="tgl-mertua" placeholder="name@example.com" name="tanggal_lahir" value="<?= set_value('tanggal_lahir') ?>">
                            <label for="floatingInput">Tanggal lahir <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('tanggal_lahir') ?>
                            </div>
                        </div>

                        <!--  -->
                        <!--  -->
                        <div class="row mb-3">
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="jenis_kelamin" id="jenkel-mertua">
                                    <option disabled>Jenis Kelamin</option>
                                    <option value="Laki-laki">Laki laki</option>
                                    <option value="perempuan">Perempuan</option>
                                </select>
                            </div>
                            <div class="col">
                                <select class="form-select" aria-label="Default select example" name="status" id="status_mertua_edit">
                                    <option selected disabled>Status</option>
                                    <option value="Hidup">Hidup</option>
                                    <option value="ALM">Alm</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="alm_mertua_edit">
                            <input type="date" class="form-control" id="tgl_wafat_mertua" placeholder="name@example.com" name="wafat" value="<?= set_value('wafat') ?>">
                            <label for="floatingInput">Tanggal wafat <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('wafat') ?>
                            </div>
                        </div>
                        <div class="form-floating mb-3 d-none" id="penyebab_mertua_edit">
                            <input type="text" class="form-control" id="penyebab_mertua_wafat" placeholder="name@example.com" name="penyebab" value="<?= set_value('penyebab') ?>">
                            <label for="floatingInput">penyebab <span class="text-danger">*</span></label>
                            <div class="text-danger mb-3">
                                <?= form_error('penyebab') ?>
                            </div>
                        </div>
                        <!--  -->
                        <!--  -->
                        <input type="hidden" name="karyawan" value="<?= $pegawai['id'] ?>">
                        <input type="hidden" name="created_at" id="created_at_mertua">
                        <input type="hidden" name="updated_at" value="<?= $updated_at ?>">
                        <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end edit mertua -->

<!-- image karyawan -->
<div class="modal fade" id="image-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Upload Foto</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="<?= base_url('detail/') ?>foto/<?= $pegawai['id'] ?>" enctype="multipart/form-data" method="post">
                    <div class="input-group mb-3">
                        <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                        <input type="file" class="form-control" id="inputGroupFile02" name="avatar" size="20" value="<?= set_value('image') ?>">
                        <label class="input-group-text" for="inputGroupFile02">Upload</label>
                    </div>
                    <?php if (isset($error)) : ?>
                        <div class="invalid-feedback"><?= $error ?></div>
                    <?php endif; ?>
                    <button class="btn btn-primary" type="submit">Upload</button>
                </form>
            </div>
        </div>

    </div>
</div>
</div>
<!-- end image karyawan -->
<!-- image ktp karyawan -->
<div class="modal fade" id="ktp-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Foto KTP</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if (!empty($pegawai['foto_ktp_karyawan'])) : ?>
                    <a href="<?= base_url('/upload/ktp/') . $pegawai['foto_ktp_karyawan'] ?>">
                        <img src="<?= base_url('/upload/ktp/') . $pegawai['foto_ktp_karyawan'] ?>" alt="Foto KTP" width="427"></a>
                    <form action="<?= base_url('detail/') ?>upload_ktp/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_ktp" class="form-label">Ubah Foto KTP</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_ktp" name="foto_ktp" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php else : ?>
                    <form action="<?= base_url('detail/') ?>upload_ktp/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_ktp" class="form-label">Upload Foto KTP</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_ktp" name="foto_ktp" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end image ktp karyawan -->
<!-- image kk karyawan -->
<div class="modal fade" id="kk-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Foto KK</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if (!empty($pegawai['foto_kk_karyawan'])) : ?>
                    <a href="<?= base_url('/upload/kk/') . $pegawai['foto_kk_karyawan'] ?>">
                        <img src="<?= base_url('/upload/kk/') . $pegawai['foto_kk_karyawan'] ?>" alt="Foto KK" width="427"></a>
                    <form action="<?= base_url('detail/') ?>upload_kk/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_kk" class="form-label">Ubah Foto KK</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_kk" name="foto_kk" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php else : ?>
                    <form action="<?= base_url('detail/') ?>upload_kk/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_kk" class="form-label">Upload Foto KK</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_kk" name="foto_kk" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end image kk karyawan -->
<!-- image bpjs ketenagakerjaan karyawan -->
<div class="modal fade" id="bpjs-ketenagakerjaan-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Foto BPJS Ketenagakerjaan</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if (!empty($pegawai['foto_bpjs_ketenagakerjaan_karyawan'])) : ?>
                    <a href="<?= base_url('/upload/bpjs_ketenagakerjaan/') . $pegawai['foto_bpjs_ketenagakerjaan_karyawan'] ?>">
                        <img src="<?= base_url('/upload/bpjs_ketenagakerjaan/') . $pegawai['foto_bpjs_ketenagakerjaan_karyawan'] ?>" alt="Foto KK" width="427"></a>
                    <form action="<?= base_url('detail/') ?>upload_bpjs_ketenagakerjaan/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_bpjs_ketenagakerjaan" class="form-label">Ubah Foto BPJS
                                Ketenagakerjaan</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_bpjs_ketenagakerjaan" name="foto_bpjs_ketenagakerjaan" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php else : ?>
                    <form action="<?= base_url('detail/') ?>upload_bpjs_ketenagakerjaan/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_bpjs_ketenagakerjaan" class="form-label">Upload Foto BPJS
                                Ketenagakerjaan</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_bpjs_ketenagakerjaan" name="foto_bpjs_ketenagakerjaan" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end image bpjs ketenagakerjaan karyawan -->
<!-- image bpjs kesehatan karyawan -->
<div class="modal fade" id="bpjs-kesehatan-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Foto BPJS kesehatan</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if (!empty($pegawai['foto_bpjs_kesehatan_karyawan'])) : ?>
                    <a href="<?= base_url('/upload/bpjs_kesehatan/') . $pegawai['foto_bpjs_kesehatan_karyawan'] ?>">
                        <img src="<?= base_url('/upload/bpjs_kesehatan/') . $pegawai['foto_bpjs_kesehatan_karyawan'] ?>" alt="Foto KK" width="427"></a>
                    <form action="<?= base_url('detail/') ?>upload_bpjs_kesehatan/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_bpjs_kesehatan" class="form-label">Ubah Foto BPJS kesehatan</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_bpjs_kesehatan" name="foto_bpjs_kesehatan" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php else : ?>
                    <form action="<?= base_url('detail/') ?>upload_bpjs_kesehatan/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_bpjs_kesehatan" class="form-label">Upload Foto BPJS kesehatan</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_bpjs_kesehatan" name="foto_bpjs_kesehatan" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end image bpjs kesehatan karyawan -->
<!-- image npwp karyawan -->
<div class="modal fade" id="npwp-karyawan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Foto NPWP</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if (!empty($pegawai['foto_npwp_karyawan'])) : ?>
                    <a href="<?= base_url('/upload/npwp/') . $pegawai['foto_npwp_karyawan'] ?>">
                        <img src="<?= base_url('/upload/npwp/') . $pegawai['foto_npwp_karyawan'] ?>" alt="Foto NPWP" width="427"></a>
                    <form action="<?= base_url('detail/') ?>upload_npwp/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_npwp" class="form-label">Ubah Foto NPWP</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_npwp" name="foto_npwp" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php else : ?>
                    <form action="<?= base_url('detail/') ?>upload_npwp/<?= $pegawai['id'] ?>" method="post" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="foto_npwp" class="form-label">Upload Foto NPWP</label>
                            <input type="hidden" name="nama" value="<?= $pegawai['nama'] ?>">
                            <input type="file" class="form-control" id="foto_npwp" name="foto_npwp" accept="image/jpeg, image/png">
                        </div>
                        <button type="submit" class="btn btn-primary">Unggah</button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
</div>
<!-- end image npwp karyawan -->
<script>
    document.getElementById('pekerja').addEventListener('change', function() {
        var pekerjaanLainnyaDiv = document.getElementById('pekerjaan-lainnya');
        var pekerjaanLainnyaInput = document.getElementById('pekerjaan-lainnya-input');
        
        if (this.value === 'lainnya') {
            pekerjaanLainnyaDiv.classList.remove('d-none');
            pekerjaanLainnyaInput.setAttribute('required', 'required');
        } else {
            pekerjaanLainnyaDiv.classList.add('d-none');
            pekerjaanLainnyaInput.removeAttribute('required');
        }
    });
    function togglePerusahaanInput() {
        var selectValue = document.getElementById("pekerjaan").value;
        var divPerusahaan = document.getElementById("perusahaan");

        if (selectValue === "ibu rumah tangga") {
            divPerusahaan.style.display = "none";
            document.getElementsByName("perusahaan")[0].value = "-";
        } else {
            divPerusahaan.style.display = "block";
        }
    }

    // orang tua
    const status = document.getElementById('status');
    const wafat = document.getElementById('alm');
    const penyebab = document.getElementById('penyebab');
    status.addEventListener('change', () => {
        if (status.value === 'ALM') {
            wafat.classList.toggle('d-none');
            penyebab.classList.toggle('d-none');
        } else {
            wafat.classList.add('d-none');
            penyebab.classList.add('d-none');
        }
    })
    const status_edit = document.getElementById('status_edit');
    console.log(status_edit);
    const wafat_edit = document.getElementById('alm_edit');
    const penyebab_edit = document.getElementById('penyebab_edit');
    status_edit.addEventListener('change', () => {
        if (status_edit.value === 'ALM') {
            wafat_edit.classList.toggle('d-none');
            penyebab_edit.classList.toggle('d-none');
        } else {
            wafat_edit.classList.add('d-none');
            penyebab_edit.classList.add('d-none');
        }
    })
    // Mertua
    const status_mertua = document.getElementById('status_mertua');
    console.log(status_mertua);
    const wafat_mertua = document.getElementById('alm_mertua');
    console.log(wafat_mertua);
    const penyebab_mertua = document.getElementById('penyebab_mertua');
    status_mertua.addEventListener('change', () => {
        if (status_mertua.value === 'ALM') {
            wafat_mertua.classList.toggle('d-none');
            penyebab_mertua.classList.toggle('d-none');
        } else {
            wafat_mertua.classList.add('d-none');
            penyebab_mertua.classList.add('d-none');
        }
    })
    const status_mertua_edit = document.getElementById('status_mertua_edit');
    console.log(status_mertua);
    const wafat_mertua_edit = document.getElementById('alm_mertua_edit');
    console.log(wafat_mertua);
    const penyebab_mertua_edit = document.getElementById('penyebab_mertua_wafat');
    status_mertua_edit.addEventListener('change', () => {
        if (status_mertua_edit.value === 'ALM') {
            wafat_mertua_edit.classList.toggle('d-none');
            penyebab_mertua_edit.classList.toggle('d-none');
        } else {
            wafat_mertua_edit.classList.add('d-none');
            penyebab_mertua_edit.classList.add('d-none');
        }
    })
</script>