<body>
    <?php if ($pegawai) : ?>
    <?php echo form_open_multipart('mutasi/mutasi_sistem/' . $pegawai['id']); ?>
    <div class="field item form-group">
        <div class="field item form-group">
            <p>Nama Pegawai: <?= $pegawai['nama'] ?></p>
            <p>Status Divisi Saat Ini: <?= $pegawai['nama_jabatan'] ?></p>
            <label class="col-form-label col-md-3 col-sm-3  label-align">Divisi Baru<span
                    class="required">*</span></label>
            <div class="col-md-6 col-sm-6">
                <select class="form-select" id="divisi" aria-label="divisi" name="divisi">
                    <option selected>-- Pilih Divisi --</option>
                    <?php if (!empty($jabatan)) : ?>
                    <?php foreach ($jabatan as $jab) : ?>
                    <option value="<?= htmlspecialchars($jab->id_jabatan); ?>">
                        <?= htmlspecialchars($jab->nama_jabatan); ?>
                    </option>
                    <?php endforeach; ?>
                    <?php else : ?>
                    <option value="">Data jabatan tidak tersedia</option>
                    <?php endif; ?>
                </select>
            </div>
            <label class="col-form-label col-md-3 col-sm-3  label-align">Surat Keputusan<span
                    class="required">*</span></label>
            <div class="col-md-6 col-sm-6">
                <input class="form-control" type="text" data-validate-length-range="6" data-validate-words="2" name="sk"
                    value="" />
            </div>
            <label class="col-form-label col-md-3 col-sm-3  label-align">Tanggal Mulai Mutasi<span
                    class="required">*</span></label>
            <div class="col-md-6 col-sm-6">
                <input class="form-control" type="date" data-validate-length-range="6" data-validate-words="2"
                    name="tmt" value="" />
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
    <div class="ln_solid">
        <br>
        <center>
            <div class="form-group">
                <button type="submit" name="submit" class="btn btn-success">Simpan</button>
            </div>
        </center>
    </div>
    <?php echo form_close(); ?>
    <?php else : ?>
    <p>Data pegawai tidak ditemukan.</p>
    <?php endif; ?>
</body>